#<profile4xi profile = "11" />  
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2seven4xi.py">
#<abstract4xi abstract = "fires to direction seven"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2seven4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven104xi            # 10   - 90 
global shot2seven1004xi           # 100  -    
global shot2seven2004xi    
global shot2seven3004xi
global shot2seven4004xi
global shot2seven5004xi
global shot2seven6004xi
global shot2seven7004xi
global shot2seven8004xi
global shot2seven9004xi
global shot2seven10004xi            
global shot2seven11004xi
global shot2seven12004xi
global shot2seven13004xi
global shot2seven14004xi
global shot2seven15004xi
global shot2seven16004xi
global shot2seven17004xi
global shot2seven18004xi
global shot2seven19004xi
global shot2seven20004xi
global shot2seven21004xi
global shot2seven22004xi
global shot2seven23004xi
global shot2seven24004xi
global shot2seven25004xi
global shot2seven26004xi
global shot2seven27004xi
global shot2seven28004xi
global shot2seven29004xi
global shot2seven30004xi
global shot2seven31004xi
global shot2seven32004xi
global shot2seven33004xi




#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
         
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + ) - FROM FILES
# -------------------------------------------------------------------------------------------------    

shot2seven104xi = {
                1:'-10x-11y36z',
                2:'-10x-12y36z',
                3:'-10x-13y36z',
                4:'-10x-15y6z',
                5:'-10x-15y7z',
                6:'-11x-10y36z',
                7:'-11x-14y7z',
                8:'-11x-8y37z',
                9:'-11x-9y37z',
                10:'-12x-13y7z',
                11:'-12x-60y33z',
                12:'-13x-13y7z',
                13:'-15x-59y33z',
                14:'-18x-58y34z',
                15:'-1x-1y89z',
                16:'-1x-28y7z',
                17:'-20x-47y30z',
                18:'-21x-56y34z',
                19:'-23x-45y30z',
                20:'-25x-44y31z',
                21:'-27x-42y31z',
                22:'-29x-40y32z',
                23:'-2x-25y42z',
                24:'-2x-62y31z',
                25:'-31x-39y32z',
                26:'-33x-37y33z',
                27:'-34x-20y30z',
                28:'-34x-35y33z',
                29:'-35x-16y31z',
                30:'-35x-18y30z',
                31:'-36x-10y32z',
                32:'-36x-12y31z',
                33:'-36x-14y31z',
                34:'-36x-33y34z',
                35:'-36x-8y32z',
                36:'-37x-30y34z',
                37:'-37x-70y0z',
                38:'-38x-28y35z',
                39:'-3x-18y5z',
                40:'-3x-24y43z',
                41:'-3x-28y7z',
                42:'-40x-26y35z',
                43:'-40x-68y0z',
                44:'-44x-66y0z',
                45:'-47x-64y1z',
                46:'-4x-18y5z',
                47:'-4x-24y43z',
                48:'-4x-28y8z',
                49:'-51x-61y2z',
                50:'-54x-58y3z',
                51:'-57x-55y4z',
                52:'-5x-18y6z',
                53:'-5x-23y43z',
                54:'-60x-52y4z',
                55:'-62x-30y7z',
                56:'-62x-49y5z',
                57:'-63x-27y8z',
                58:'-65x-24y9z',
                59:'-65x-46y6z',
                60:'-66x-20y9z',
                61:'-67x-17y10z',
                62:'-67x-42y7z',
                63:'-69x-38y8z',
                64:'-6x-17y35z',
                65:'-6x-17y6z',
                66:'-6x-22y43z',
                67:'-6x-62y31z',
                68:'-6x-6y3z',
                69:'-7x-16y35z',
                70:'-7x-17y35z',
                71:'-7x-17y6z',
                72:'-7x-4y4z',
                73:'-7x-5y4z',
                74:'-8x-15y35z',
                75:'-8x-16y6z',
                76:'-8x-1y28z',
                77:'-8x-1y4z',
                78:'-8x-2y28z',
                79:'-8x-2y4z',
                80:'-8x-3y28z',
                81:'-8x-3y4z',
                82:'-8x-4y28z',
                83:'-8x-5y28z',
                84:'-8x-6y27z',
                85:'-8x0y5z',
                86:'-9x-13y36z',
                87:'-9x-14y36z',
                88:'-9x-16y6z',
                89:'-9x-4y28z',
                90:'-9x-61y32z',
                91:'0x-1y29z',
                92:'0x-26y42z',
                93:'0x-29y7z',
                94:'0x-62y30z',
                95:'0x0y89z'}
       

shot2seven1004xi = {
                1:'-10x-95y26z',
                2:'-11x-47y87z',
                3:'-13x-45y87z',
                4:'-13x-87y46z',
                5:'-15x-44y88z',
                6:'-15x-94y27z',
                7:'-17x-42y88z',
                8:'-17x-86y47z',
                9:'-19x-40y89z',
                10:'-19x-93y28z',
                11:'-1x-13y99z',
                12:'-1x-1y99z',
                13:'-1x-52y85z',
                14:'-21x-38y89z',
                15:'-22x-36y90z',
                16:'-22x-84y48z',
                17:'-24x-34y90z',
                18:'-24x-92y29z',
                19:'-25x-32y90z',
                20:'-26x-30y91z',
                21:'-26x-83y49z',
                22:'-27x-28y91z',
                23:'-27x-5y95z',
                24:'-28x-24y92z',
                25:'-28x-26y92z',
                26:'-28x-6y95z',
                27:'-29x-10y94z',
                28:'-29x-12y94z',
                29:'-29x-14y94z',
                30:'-29x-18y93z',
                31:'-29x-20y93z',
                32:'-29x-22y92z',
                33:'-29x-8y95z',
                34:'-29x-90y30z',
                35:'-2x-11y99z',
                36:'-2x-12y99z',
                37:'-2x-2y99z',
                38:'-2x-3y99z',
                39:'-2x-4y99z',
                40:'-2x-5y99z',
                41:'-2x-9y99z',
                42:'-30x-16y93z',
                43:'-30x-81y49z',
                44:'-34x-39y85z',
                45:'-34x-78y50z',
                46:'-34x-88y31z',
                47:'-35x-37y85z',
                48:'-37x-34y86z',
                49:'-38x-32y86z',
                50:'-38x-76y51z',
                51:'-38x-86y32z',
                52:'-39x-27y87z',
                53:'-39x-29y87z',
                54:'-3x-6y99z',
                55:'-3x-7y99z',
                56:'-3x-8y99z',
                57:'-40x-21y88z',
                58:'-40x-24y88z',
                59:'-41x-16y89z',
                60:'-41x-19y88z',
                61:'-42x-73y52z',
                62:'-42x-84y33z',
                63:'-45x-71y53z',
                64:'-46x-88y0z',
                65:'-47x-81y34z',
                66:'-49x-68y54z',
                67:'-4x-51y85z',
                68:'-4x-89y44z',
                69:'-51x-78y34z',
                70:'-51x-85y0z',
                71:'-52x-65y54z',
                72:'-54x-75y35z',
                73:'-55x-61y55z',
                74:'-55x-83y1z',
                75:'-57x-58y56z',
                76:'-58x-72y36z',
                77:'-59x-80y2z',
                78:'-5x-96y25z',
                79:'-60x-55y57z',
                80:'-61x-68y37z',
                81:'-62x-51y58z',
                82:'-63x-76y3z',
                83:'-64x-47y59z',
                84:'-65x-65y38z',
                85:'-65x-84y169z',
                86:'-66x-44y59z',
                87:'-67x-73y4z',
                88:'-68x-40y60z',
                89:'-68x-61y39z',
                90:'-6x-49y86z',
                91:'-70x-36y61z',
                92:'-71x-32y62z',
                93:'-71x-57y40z',
                94:'-71x-69y5z',
                95:'-72x-28y63z',
                96:'-73x-16y65z',
                97:'-73x-20y64z',
                98:'-73x-24y63z',
                99:'-73x-53y41z',
                100:'-75x-49y42z',
                101:'-75x-65y6z',
                102:'-78x-45y43z',
                103:'-78x-61y7z',
                104:'-79x-40y44z',
                105:'-81x-36y45z',
                106:'-81x-57y8z',
                107:'-82x-31y45z',
                108:'-84x-22y47z',
                109:'-84x-27y46z',
                110:'-84x-53y9z',
                111:'-85x-13y49z',
                112:'-85x-18y48z',
                113:'-85x-9y50z',
                114:'-86x-48y10z',
                115:'-89x-43y11z',
                116:'-8x-88y45z',
                117:'-91x-39y12z',
                118:'-92x-34y13z',
                119:'-94x-29y14z',
                120:'-95x-24y15z',
                121:'-9x-48y86z',
                122:'0x-14y98z',
                123:'0x-15y98z',
                124:'0x-16y98z',
                125:'0x-89y43z',
                126:'0x-96y24z',
                127:'0x0y99z'}


shot2seven2004xi = {
                1:'-102x-157y69z',
                2:'-102x-171y0z',
                3:'-103x-119y255z',
                4:'-104x-130y109z',
                5:'-109x-151y71z',
                6:'-10x-193y50z',
                7:'-110x-123y111z',
                8:'-111x-166y2z',
                9:'-115x-117y113z',
                10:'-117x-144y73z',
                11:'-119x-160y4z',
                12:'-120x-110y114z',
                13:'-123x-137y75z',
                14:'-125x-103y116z',
                15:'-127x-153y6z',
                16:'-129x-95y118z',
                17:'-130x-130y77z',
                18:'-133x-88y119z',
                19:'-135x-146y8z',
                20:'-136x-122y79z',
                21:'-137x-80y121z',
                22:'-13x-99y172z',
                23:'-140x-72y122z',
                24:'-142x-115y81z',
                25:'-142x-64y124z',
                26:'-143x-139y10z',
                27:'-144x-56y126z',
                28:'-146x-48y127z',
                29:'-147x-106y82z',
                30:'-147x-32y130z',
                31:'-147x-40y129z',
                32:'-150x-131y12z',
                33:'-151x-98y84z',
                34:'-156x-123y14z',
                35:'-156x-90y86z',
                36:'-159x-81y88z',
                37:'-162x-115y16z',
                38:'-163x-72y90z',
                39:'-165x-63y91z',
                40:'-168x-106y18z',
                41:'-168x-54y93z',
                42:'-169x-45y95z',
                43:'-171x-18y100z',
                44:'-171x-27y98z',
                45:'-171x-36y97z',
                46:'-173x-97y20z',
                47:'-178x-87y22z',
                48:'-17x-177y90z',
                49:'-182x-78y24z',
                50:'-185x-68y26z',
                51:'-189x-58y28z',
                52:'-18x-97y173z',
                53:'-191x-48y30z',
                54:'-1x-1y199z',
                55:'-1x-28y197z',
                56:'-20x-191y52z',
                57:'-22x-94y174z',
                58:'-26x-175y92z',
                59:'-27x-91y175z',
                60:'-2x-104y170z',
                61:'-30x-189y54z',
                62:'-31x-88y176z',
                63:'-35x-172y94z',
                64:'-35x-85y177z',
                65:'-38x-81y178z',
                66:'-39x-187y56z',
                67:'-3x-26y198z',
                68:'-3x-3y199z',
                69:'-42x-77y179z',
                70:'-44x-169y96z',
                71:'-45x-73y180z',
                72:'-48x-69y181z',
                73:'-49x-184y58z',
                74:'-4x-24y198z',
                75:'-4x-5y199z',
                76:'-4x-7y199z',
                77:'-50x-65y181z',
                78:'-52x-166y98z',
                79:'-52x-61y182z',
                80:'-54x-57y183z',
                81:'-55x-10y191z',
                82:'-56x-53y184z',
                83:'-57x-13y191z',
                84:'-57x-49y185z',
                85:'-58x-17y190z',
                86:'-58x-181y60z',
                87:'-58x-44y185z',
                88:'-59x-20y189z',
                89:'-59x-24y189z',
                90:'-59x-28y188z',
                91:'-59x-36y187z',
                92:'-59x-40y186z',
                93:'-5x-11y199z',
                94:'-5x-19y198z',
                95:'-5x-22y198z',
                96:'-5x-9y199z',
                97:'-60x-32y187z',
                98:'-61x-162y99z',
                99:'-68x-177y62z',
                100:'-69x-157y101z',
                101:'-6x-13y199z',
                102:'-6x-15y199z',
                103:'-6x-17y199z',
                104:'-71x-74y171z',
                105:'-74x-69y172z',
                106:'-76x-153y103z',
                107:'-76x-64y173z',
                108:'-77x-173y64z',
                109:'-78x-59y174z',
                110:'-79x-54y175z',
                111:'-81x-43y177z',
                112:'-81x-49y176z',
                113:'-82x-33y178z',
                114:'-82x-38y177z',
                115:'-84x-147y104z',
                116:'-85x-168y66z',
                117:'-8x-102y171z',
                118:'-8x-178y89z',
                119:'-91x-142y106z',
                120:'-94x-162y68z',
                121:'-98x-136y108z',
                122:'0x-193y48z',
                123:'0x-30y197z',
                124:'0x0y199z'}


shot2seven3004xi = {
                1:'-102x-266y93z',
                2:'-103x-236y152z',
                3:'-107x-111y256z',
                4:'-111x-104y258z',
                5:'-114x-96y259z',
                6:'-115x-229y154z',
                7:'-115x-259y96z',
                8:'-117x-88y261z',
                9:'-119x-81y262z',
                10:'-121x-73y264z',
                11:'-122x-65y265z',
                12:'-123x-58y266z',
                13:'-124x-50y268z',
                14:'-126x-221y157z',
                15:'-128x-252y99z',
                16:'-12x-153y257z',
                17:'-12x-268y133z',
                18:'-136x-213y159z',
                19:'-137x-159y340z',
                20:'-141x-244y102z',
                21:'-147x-204y162z',
                22:'-153x-235y104z',
                23:'-153x-257y0z',
                24:'-156x-195y164z',
                25:'-15x-289y76z',
                26:'-164x-226y107z',
                27:'-165x-185y167z',
                28:'-166x-249y3z',
                29:'-173x-175y169z',
                30:'-175x-216y110z',
                31:'-179x-240y6z',
                32:'-181x-165y172z',
                33:'-185x-206y113z',
                34:'-188x-154y174z',
                35:'-191x-230y9z',
                36:'-194x-143y177z',
                37:'-195x-195y116z',
                38:'-19x-149y259z',
                39:'-200x-132y179z',
                40:'-203x-220y12z',
                41:'-204x-184y118z',
                42:'-205x-120y182z',
                43:'-210x-108y184z',
                44:'-213x-172y121z',
                45:'-213x-96y186z',
                46:'-214x-209y15z',
                47:'-216x-84y189z',
                48:'-219x-72y191z',
                49:'-220x-160y124z',
                50:'-220x-60y193z',
                51:'-221x-48y196z',
                52:'-225x-197y18z',
                53:'-227x-148y127z',
                54:'-234x-135y129z',
                55:'-234x-185y21z',
                56:'-239x-122y132z',
                57:'-244x-108y135z',
                58:'-244x-172y24z',
                59:'-248x-95y137z',
                60:'-252x-159y27z',
                61:'-252x-81y140z',
                62:'-254x-68y143z',
                63:'-256x-54y145z',
                64:'-257x-27y150z',
                65:'-257x-40y148z',
                66:'-260x-145y30z',
                67:'-267x-131y33z',
                68:'-26x-265y136z',
                69:'-273x-117y36z',
                70:'-278x-102y39z',
                71:'-27x-146y260z',
                72:'-283x-88y42z',
                73:'-287x-73y45z',
                74:'-2x-2y299z',
                75:'-2x-42y296z',
                76:'-30x-287y79z',
                77:'-34x-141y262z',
                78:'-40x-137y263z',
                79:'-40x-262y139z',
                80:'-45x-284y82z',
                81:'-47x-132y264z',
                82:'-4x-156y256z',
                83:'-4x-39y297z',
                84:'-4x-5y299z',
                85:'-53x-127y266z',
                86:'-53x-258y141z',
                87:'-58x-122y267z',
                88:'-59x-281y84z',
                89:'-63x-116y269z',
                90:'-66x-254y144z',
                91:'-68x-110y270z',
                92:'-6x-36y297z',
                93:'-6x-8y299z',
                94:'-72x-104y271z',
                95:'-74x-277y87z',
                96:'-75x-98y272z',
                97:'-79x-249y147z',
                98:'-79x-92y274z',
                99:'-7x-10y299z',
                100:'-7x-33y298z',
                101:'-82x-86y275z',
                102:'-83x-15y287z',
                103:'-84x-80y276z',
                104:'-85x-20y286z',
                105:'-86x-73y277z',
                106:'-87x-25y285z',
                107:'-88x-271y90z',
                108:'-88x-31y284z',
                109:'-88x-67y278z',
                110:'-89x-36y283z',
                111:'-89x-42y282z',
                112:'-89x-54y280z',
                113:'-89x-61y279z',
                114:'-8x-13y299z',
                115:'-8x-16y299z',
                116:'-8x-29y298z',
                117:'-90x-48y281z',
                118:'-91x-243y149z',
                119:'-9x-20y299z',
                120:'-9x-23y298z',
                121:'-9x-26y298z',
                122:'0x-290y73z',
                123:'0x-45y296z',
                124:'0x0y299z'}


shot2seven4004xi = {
                1:'-101x-131y363z',
                2:'-105x-123y365z',
                3:'-105x-332y196z',
                4:'-109x-115y367z',
                5:'-10x-18y399z',
                6:'-10x-44y397z',
                7:'-111x-20y383z',
                8:'-112x-106y368z',
                9:'-114x-27y382z',
                10:'-115x-98y370z',
                11:'-116x-34y381z',
                12:'-117x-362y120z',
                13:'-117x-89y371z',
                14:'-118x-41y379z',
                15:'-118x-81y373z',
                16:'-119x-49y378z',
                17:'-119x-57y377z',
                18:'-119x-73y374z',
                19:'-11x-22y399z',
                20:'-11x-39y397z',
                21:'-120x-65y375z',
                22:'-122x-324y199z',
                23:'-12x-26y398z',
                24:'-12x-30y398z',
                25:'-12x-35y398z',
                26:'-136x-354y124z',
                27:'-138x-315y203z',
                28:'-143x-149y342z',
                29:'-148x-139y344z',
                30:'-152x-128y346z',
                31:'-153x-306y206z',
                32:'-154x-346y128z',
                33:'-156x-118y348z',
                34:'-159x-108y350z',
                35:'-162x-98y352z',
                36:'-163x-87y354z',
                37:'-165x-67y357z',
                38:'-165x-77y355z',
                39:'-168x-295y209z',
                40:'-16x-204y343z',
                41:'-16x-357y178z',
                42:'-171x-198y425z',
                43:'-171x-336y132z',
                44:'-182x-284y213z',
                45:'-188x-325y136z',
                46:'-196x-273y216z',
                47:'-1x0y399z',
                48:'-204x-314y139z',
                49:'-204x-343y0z',
                50:'-208x-260y219z',
                51:'-20x-386y101z',
                52:'-219x-302y143z',
                53:'-220x-247y223z',
                54:'-222x-332y4z',
                55:'-231x-234y226z',
                56:'-234x-289y147z',
                57:'-239x-320y8z',
                58:'-241x-220y229z',
                59:'-247x-275y151z',
                60:'-251x-206y233z',
                61:'-255x-307y12z',
                62:'-259x-191y236z',
                63:'-260x-260y154z',
                64:'-267x-176y239z',
                65:'-26x-199y345z',
                66:'-271x-293y16z',
                67:'-272x-245y158z',
                68:'-274x-160y242z',
                69:'-280x-144y245z',
                70:'-284x-230y162z',
                71:'-285x-128y249z',
                72:'-286x-278y20z',
                73:'-289x-112y252z',
                74:'-292x-96y255z',
                75:'-294x-213y165z',
                76:'-294x-80y258z',
                77:'-295x-64y261z',
                78:'-300x-263y24z',
                79:'-303x-197y169z',
                80:'-312x-180y172z',
                81:'-313x-247y28z',
                82:'-319x-162y176z',
                83:'-325x-230y32z',
                84:'-326x-145y180z',
                85:'-331x-127y183z',
                86:'-336x-109y187z',
                87:'-336x-212y36z',
                88:'-339x-90y190z',
                89:'-342x-72y194z',
                90:'-343x-36y201z',
                91:'-343x-54y197z',
                92:'-347x-194y40z',
                93:'-356x-175y44z',
                94:'-35x-354y181z',
                95:'-364x-156y48z',
                96:'-36x-194y347z',
                97:'-371x-137y52z',
                98:'-378x-117y56z',
                99:'-383x-97y60z',
                100:'-3x-3y399z',
                101:'-3x-57y395z',
                102:'-40x-383y105z',
                103:'-45x-189y349z',
                104:'-53x-350y185z',
                105:'-54x-183y351z',
                106:'-5x-208y341z',
                107:'-60x-379y109z',
                108:'-62x-176y353z',
                109:'-6x-52y396z',
                110:'-6x-7y399z',
                111:'-70x-170y355z',
                112:'-71x-345y189z',
                113:'-77x-162y356z',
                114:'-79x-375y113z',
                115:'-84x-155y358z',
                116:'-88x-339y192z',
                117:'-8x-10y399z',
                118:'-8x-48y396z',
                119:'-90x-147y360z',
                120:'-96x-139y362z',
                121:'-98x-369y117z',
                122:'-9x-14y399z',
                123:'0x-387y97z',
                124:'0x-61y395z'}

shot2seven5004xi = {
                1:'-105x-194y448z',
                2:'-10x-13y499z',
                3:'-10x-60y496z',
                4:'-110x-423y240z',
                5:'-113x-184y450z',
                6:'-120x-174y452z',
                7:'-123x-461y146z',
                8:'-126x-164y454z',
                9:'-12x-18y499z',
                10:'-12x-55y496z',
                11:'-132x-154y456z',
                12:'-132x-415y245z',
                13:'-136x-143y458z',
                14:'-139x-25y479z',
                15:'-13x-22y499z',
                16:'-140x-133y460z',
                17:'-142x-34y477z',
                18:'-144x-122y462z',
                19:'-145x-42y476z',
                20:'-146x-112y464z',
                21:'-147x-453y151z',
                22:'-147x-52y474z',
                23:'-148x-101y466z',
                24:'-149x-61y473z',
                25:'-149x-71y471z',
                26:'-149x-91y468z',
                27:'-14x-28y498z',
                28:'-14x-49y497z',
                29:'-150x-81y469z',
                30:'-152x-405y249z',
                31:'-15x-33y498z',
                32:'-15x-38y498z',
                33:'-15x-44y497z',
                34:'-170x-443y155z',
                35:'-172x-394y253z',
                36:'-191x-161y433z',
                37:'-192x-382y258z',
                38:'-192x-432y160z',
                39:'-195x-148y435z',
                40:'-199x-135y437z',
                41:'-1x-1y499z',
                42:'-1x-76y494z',
                43:'-202x-122y440z',
                44:'-204x-109y442z',
                45:'-206x-96y444z',
                46:'-207x-84y447z',
                47:'-20x-255y429z',
                48:'-20x-447y223z',
                49:'-210x-369y262z',
                50:'-214x-420y165z',
                51:'-222x-208y516z',
                52:'-228x-356y266z',
                53:'-235x-407y170z',
                54:'-245x-341y270z',
                55:'-255x-392y174z',
                56:'-255x-429y1z',
                57:'-25x-482y127z',
                58:'-260x-326y274z',
                59:'-274x-377y179z',
                60:'-275x-309y279z',
                61:'-277x-415y6z',
                62:'-289x-293y283z',
                63:'-292x-361y184z',
                64:'-299x-400y11z',
                65:'-302x-275y287z',
                66:'-309x-344y188z',
                67:'-314x-257y291z',
                68:'-319x-384y16z',
                69:'-324x-238y295z',
                70:'-326x-326y193z',
                71:'-334x-220y299z',
                72:'-339x-366y21z',
                73:'-33x-249y431z',
                74:'-341x-307y198z',
                75:'-342x-200y303z',
                76:'-350x-181y307z',
                77:'-355x-287y202z',
                78:'-356x-161y311z',
                79:'-357x-348y26z',
                80:'-361x-141y315z',
                81:'-365x-121y319z',
                82:'-368x-100y323z',
                83:'-368x-267y207z',
                84:'-369x-80y326z',
                85:'-375x-329y31z',
                86:'-379x-246y211z',
                87:'-390x-225y216z',
                88:'-391x-308y36z',
                89:'-399x-203y220z',
                90:'-406x-287y41z',
                91:'-407x-181y225z',
                92:'-414x-159y229z',
                93:'-420x-136y234z',
                94:'-421x-265y46z',
                95:'-424x-113y238z',
                96:'-427x-90y242z',
                97:'-429x-45y251z',
                98:'-429x-67y247z',
                99:'-433x-243y51z',
                100:'-43x-443y227z',
                101:'-445x-219y56z',
                102:'-455x-195y61z',
                103:'-45x-243y434z',
                104:'-464x-171y65z',
                105:'-472x-146y70z',
                106:'-478x-121y75z',
                107:'-4x-4y499z',
                108:'-4x-71y494z',
                109:'-50x-479y132z',
                110:'-57x-236y436z',
                111:'-66x-437y231z',
                112:'-68x-229y439z',
                113:'-75x-474y136z',
                114:'-78x-221y441z',
                115:'-7x-260y426z',
                116:'-7x-66y495z',
                117:'-7x-9y499z',
                118:'-88x-212y443z',
                119:'-89x-431y236z',
                120:'-97x-203y446z',
                121:'-99x-469y141z',
                122:'0x-484y122z'}

shot2seven6004xi = {
                1:'-106x-255y532z',
                2:'-106x-517y283z',
                3:'-116x-244y535z',
                4:'-119x-562y169z',
                5:'-126x-233y538z',
                6:'-12x-16y599z',
                7:'-12x-72y595z',
                8:'-133x-508y288z',
                9:'-136x-221y540z',
                10:'-144x-209y543z',
                11:'-148x-554y175z',
                12:'-14x-21y599z',
                13:'-151x-197y545z',
                14:'-158x-185y548z',
                15:'-158x-498y294z',
                16:'-15x-66y596z',
                17:'-164x-172y550z',
                18:'-167x-30y575z',
                19:'-169x-160y552z',
                20:'-16x-27y599z',
                21:'-16x-59y596z',
                22:'-171x-40y573z',
                23:'-172x-147y555z',
                24:'-174x-51y571z',
                25:'-176x-134y557z',
                26:'-176x-543y181z',
                27:'-177x-62y569z',
                28:'-178x-122y559z',
                29:'-178x-73y567z',
                30:'-179x-109y561z',
                31:'-179x-85y565z',
                32:'-17x-33y598z',
                33:'-180x-97y563z',
                34:'-183x-486y299z',
                35:'-18x-40y598z',
                36:'-18x-46y597z',
                37:'-18x-53y597z',
                38:'-1x-1y599z',
                39:'-1x-91y592z',
                40:'-204x-532y187z',
                41:'-207x-473y304z',
                42:'-229x-193y519z',
                43:'-230x-459y309z',
                44:'-231x-519y192z',
                45:'-234x-177y522z',
                46:'-239x-162y525z',
                47:'-243x-147y528z',
                48:'-245x-131y531z',
                49:'-247x-116y533z',
                50:'-248x-101y536z',
                51:'-24x-306y515z',
                52:'-24x-536y267z',
                53:'-252x-443y314z',
                54:'-257x-504y198z',
                55:'-259x-243y602z',
                56:'-273x-427y319z',
                57:'-282x-488y204z',
                58:'-294x-409y324z',
                59:'-306x-471y209z',
                60:'-306x-515y1z',
                61:'-30x-579y152z',
                62:'-313x-391y329z',
                63:'-329x-453y215z',
                64:'-330x-371y334z',
                65:'-333x-498y7z',
                66:'-347x-351y339z',
                67:'-351x-433y220z',
                68:'-358x-480y13z',
                69:'-362x-330y344z',
                70:'-371x-412y226z',
                71:'-377x-309y349z',
                72:'-383x-461y19z',
                73:'-389x-286y354z',
                74:'-391x-391y232z',
                75:'-39x-299y518z',
                76:'-401x-264y359z',
                77:'-406x-440y25z',
                78:'-409x-368y237z',
                79:'-411x-240y364z',
                80:'-420x-217y368z',
                81:'-426x-345y243z',
                82:'-427x-193y373z',
                83:'-429x-418y31z',
                84:'-433x-169y378z',
                85:'-438x-145y383z',
                86:'-441x-121y387z',
                87:'-441x-320y248z',
                88:'-443x-97y392z',
                89:'-450x-394y37z',
                90:'-455x-296y254z',
                91:'-468x-270y259z',
                92:'-469x-370y43z',
                93:'-479x-244y264z',
                94:'-488x-345y49z',
                95:'-489x-217y270z',
                96:'-497x-190y275z',
                97:'-504x-163y280z',
                98:'-505x-318y55z',
                99:'-509x-136y286z',
                100:'-513x-109y291z',
                101:'-515x-54y301z',
                102:'-515x-81y296z',
                103:'-520x-291y61z',
                104:'-52x-531y272z',
                105:'-534x-263y67z',
                106:'-547x-235y73z',
                107:'-54x-292y521z',
                108:'-557x-205y79z',
                109:'-567x-176y85z',
                110:'-574x-146y91z',
                111:'-5x-5y599z',
                112:'-5x-85y593z',
                113:'-60x-575y158z',
                114:'-68x-283y524z',
                115:'-80x-525y278z',
                116:'-81x-274y526z',
                117:'-8x-312y512z',
                118:'-90x-569y164z',
                119:'-94x-265y529z',
                120:'-9x-10y599z',
                121:'-9x-79y594z',
                122:'0x-581y146z'}

shot2seven7004xi = {
                1:'-105x-664y191z',
                2:'-10x-12y699z',
                3:'-110x-309y618z',
                4:'-11x-92y693z',
                5:'-123x-297y621z',
                6:'-124x-604y330z',
                7:'-136x-285y624z',
                8:'-139x-656y198z',
                9:'-148x-272y627z',
                10:'-14x-18y699z',
                11:'-14x-85y694z',
                12:'-155x-593y337z',
                13:'-158x-258y630z',
                14:'-168x-244y633z',
                15:'-16x-25y699z',
                16:'-173x-646y204z',
                17:'-177x-230y636z',
                18:'-17x-77y695z',
                19:'-184x-216y639z',
                20:'-185x-581y343z',
                21:'-191x-201y642z',
                22:'-195x-36y671z',
                23:'-197x-186y645z',
                24:'-19x-32y698z',
                25:'-19x-69y696z',
                26:'-1x-107y691z',
                27:'-1x-1y699z',
                28:'-200x-47y669z',
                29:'-201x-171y647z',
                30:'-203x-60y666z',
                31:'-205x-157y650z',
                32:'-206x-634y211z',
                33:'-206x-72y664z',
                34:'-207x-142y653z',
                35:'-208x-86y662z',
                36:'-209x-128y655z',
                37:'-209x-99y660z',
                38:'-20x-39y698z',
                39:'-210x-113y657z',
                40:'-214x-567y349z',
                41:'-21x-46y698z',
                42:'-21x-54y697z',
                43:'-21x-61y696z',
                44:'-238x-620y218z',
                45:'-242x-552y355z',
                46:'-267x-225y606z',
                47:'-269x-535y361z',
                48:'-269x-605y224z',
                49:'-274x-207y609z',
                50:'-279x-189y613z',
                51:'-283x-171y616z',
                52:'-286x-153y619z',
                53:'-288x-135y622z',
                54:'-289x-117y626z',
                55:'-28x-357y600z',
                56:'-294x-517y367z',
                57:'-296x-278y688z',
                58:'-299x-588y231z',
                59:'-29x-625y312z',
                60:'-319x-498y373z',
                61:'-329x-570y238z',
                62:'-343x-478y379z',
                63:'-357x-550y244z',
                64:'-357x-601y1z',
                65:'-35x-676y178z',
                66:'-365x-456y384z',
                67:'-384x-528y251z',
                68:'-386x-433y390z',
                69:'-388x-582y8z',
                70:'-405x-410y396z',
                71:'-409x-505y257z',
                72:'-418x-560y15z',
                73:'-423x-385y402z',
                74:'-433x-481y264z',
                75:'-439x-360y408z',
                76:'-447x-537y22z',
                77:'-454x-334y413z',
                78:'-456x-456y270z',
                79:'-468x-308y419z',
                80:'-46x-349y604z',
                81:'-474x-513y29z',
                82:'-477x-430y277z',
                83:'-480x-280y424z',
                84:'-490x-253y430z',
                85:'-497x-402y283z',
                86:'-498x-225y435z',
                87:'-500x-487y36z',
                88:'-506x-197y441z',
                89:'-511x-169y446z',
                90:'-515x-141y452z',
                91:'-515x-374y290z',
                92:'-517x-113y457z',
                93:'-525x-460y43z',
                94:'-531x-345y296z',
                95:'-546x-315y302z',
                96:'-548x-432y50z',
                97:'-559x-285y309z',
                98:'-569x-402y57z',
                99:'-570x-254y315z',
                100:'-580x-222y321z',
                101:'-588x-191y327z',
                102:'-589x-372y64z',
                103:'-594x-159y333z',
                104:'-598x-127y340z',
                105:'-600x-95y346z',
                106:'-601x-63y352z',
                107:'-607x-340y71z',
                108:'-61x-620y318z',
                109:'-623x-307y78z',
                110:'-638x-274y85z',
                111:'-63x-340y608z',
                112:'-650x-240y92z',
                113:'-661x-205y99z',
                114:'-670x-170y106z',
                115:'-6x-6y699z',
                116:'-6x-99y692z',
                117:'-70x-671y184z',
                118:'-79x-331y611z',
                119:'-93x-613y324z',
                120:'-95x-320y614z',
                121:'-9x-364y597z',
                122:'0x-678y171z'}

shot2seven8004xi = {
                1:'-106x-700y371z',
                2:'-109x-366y702z',
                3:'-11x-416y682z',
                4:'-120x-759y218z',
                5:'-125x-353y706z',
                6:'-12x-105y792z',
                7:'-12x-14y799z',
                8:'-141x-340y710z',
                9:'-142x-690y378z',
                10:'-155x-325y713z',
                11:'-159x-750y226z',
                12:'-169x-310y717z',
                13:'-16x-21y799z',
                14:'-16x-97y793z',
                15:'-177x-678y385z',
                16:'-181x-295y720z',
                17:'-192x-279y724z',
                18:'-197x-738y234z',
                19:'-19x-28y799z',
                20:'-1x-122y790z',
                21:'-202x-263y727z',
                22:'-20x-88y794z',
                23:'-211x-246y730z',
                24:'-211x-664y392z',
                25:'-219x-230y734z',
                26:'-21x-36y798z',
                27:'-223x-41y766z',
                28:'-225x-213y737z',
                29:'-228x-54y764z',
                30:'-22x-79y795z',
                31:'-230x-196y740z',
                32:'-232x-68y762z',
                33:'-234x-179y743z',
                34:'-235x-725y241z',
                35:'-236x-83y759z',
                36:'-237x-162y746z',
                37:'-238x-98y757z',
                38:'-239x-114y754z',
                39:'-239x-146y749z',
                40:'-23x-44y798z',
                41:'-240x-130y751z',
                42:'-244x-648y399z',
                43:'-24x-53y797z',
                44:'-24x-61y797z',
                45:'-24x-70y796z',
                46:'-272x-709y249z',
                47:'-276x-631y406z',
                48:'-2x-1y799z',
                49:'-305x-257y692z',
                50:'-307x-612y412z',
                51:'-308x-692y257z',
                52:'-313x-237y696z',
                53:'-319x-216y700z',
                54:'-324x-196y704z',
                55:'-327x-175y708z',
                56:'-32x-408y686z',
                57:'-330x-155y711z',
                58:'-331x-134y715z',
                59:'-333x-313y774z',
                60:'-337x-591y419z',
                61:'-33x-715y356z',
                62:'-342x-672y264z',
                63:'-365x-569y426z',
                64:'-376x-651y272z',
                65:'-392x-546y433z',
                66:'-408x-628y279z',
                67:'-408x-687y1z',
                68:'-40x-772y203z',
                69:'-417x-521y439z',
                70:'-438x-604y287z',
                71:'-441x-495y446z',
                72:'-444x-665y9z',
                73:'-463x-468y453z',
                74:'-468x-578y294z',
                75:'-478x-640y17z',
                76:'-483x-440y459z',
                77:'-495x-550y302z',
                78:'-502x-412y466z',
                79:'-511x-614y25z',
                80:'-519x-382y472z',
                81:'-521x-521y309z',
                82:'-535x-352y479z',
                83:'-53x-399y690z',
                84:'-542x-587y33z',
                85:'-545x-491y316z',
                86:'-548x-321y485z',
                87:'-560x-289y491z',
                88:'-568x-460y324z',
                89:'-570x-257y498z',
                90:'-572x-557y41z',
                91:'-578x-225y504z',
                92:'-584x-193y510z',
                93:'-588x-161y516z',
                94:'-589x-427y331z',
                95:'-591x-129y522z',
                96:'-600x-526y49z',
                97:'-607x-394y338z',
                98:'-624x-360y345z',
                99:'-626x-494y57z',
                100:'-639x-325y353z',
                101:'-651x-460y65z',
                102:'-652x-290y360z',
                103:'-663x-254y367z',
                104:'-672x-218y374z',
                105:'-673x-425y73z',
                106:'-679x-181y381z',
                107:'-684x-145y388z',
                108:'-686x-108y395z',
                109:'-687x-72y402z',
                110:'-694x-388y81z',
                111:'-70x-708y363z',
                112:'-712x-351y89z',
                113:'-729x-313y97z',
                114:'-72x-389y694z',
                115:'-743x-274y105z',
                116:'-756x-234y113z',
                117:'-766x-194y121z',
                118:'-7x-114y791z',
                119:'-7x-7y799z',
                120:'-80x-767y211z',
                121:'-91x-378y698z',
                122:'0x-775y195z'}

shot2seven9004xi = {
                1:'-102x-425y786z',
                2:'-120x-788y417z',
                3:'-122x-412y790z',
                4:'-12x-469y768z',
                5:'-135x-854y246z',
                6:'-13x-16y899z',
                7:'-141x-397y794z',
                8:'-14x-118y891z',
                9:'-159x-382y798z',
                10:'-160x-776y425z',
                11:'-175x-366y803z',
                12:'-179x-844y254z',
                13:'-18x-109y893z',
                14:'-18x-24y899z',
                15:'-190x-349y807z',
                16:'-199x-763y433z',
                17:'-204x-332y811z',
                18:'-216x-314y814z',
                19:'-21x-32y899z',
                20:'-222x-831y263z',
                21:'-227x-296y818z',
                22:'-22x-99y894z',
                23:'-237x-277y822z',
                24:'-238x-747y441z',
                25:'-246x-258y825z',
                26:'-24x-41y898z',
                27:'-251x-46y862z',
                28:'-253x-240y829z',
                29:'-257x-61y860z',
                30:'-259x-221y832z',
                31:'-25x-89y895z',
                32:'-262x-77y857z',
                33:'-264x-202y836z',
                34:'-265x-815y272z',
                35:'-265x-93y854z',
                36:'-267x-183y839z',
                37:'-268x-110y851z',
                38:'-269x-128y848z',
                39:'-269x-164y842z',
                40:'-26x-50y898z',
                41:'-270x-146y845z',
                42:'-275x-729y449z',
                43:'-27x-60y897z',
                44:'-27x-69y896z',
                45:'-27x-79y896z',
                46:'-2x-137y889z',
                47:'-2x-2y899z',
                48:'-306x-798y280z',
                49:'-311x-710y456z',
                50:'-343x-290y779z',
                51:'-345x-688y464z',
                52:'-346x-778y289z',
                53:'-352x-266y783z',
                54:'-359x-243y788z',
                55:'-364x-220y792z',
                56:'-368x-197y796z',
                57:'-36x-460y772z',
                58:'-371x-174y800z',
                59:'-371x-347y860z',
                60:'-372x-151y805z',
                61:'-379x-665y472z',
                62:'-37x-804y401z',
                63:'-385x-756y297z',
                64:'-410x-640y479z',
                65:'-423x-732y306z',
                66:'-441x-614y487z',
                67:'-459x-707y314z',
                68:'-45x-869y228z',
                69:'-460x-773y2z',
                70:'-469x-586y494z',
                71:'-493x-679y323z',
                72:'-496x-557y502z',
                73:'-499x-748y11z',
                74:'-521x-527y509z',
                75:'-526x-650y331z',
                76:'-538x-721y20z',
                77:'-544x-495y517z',
                78:'-557x-619y339z',
                79:'-565x-463y524z',
                80:'-575x-691y29z',
                81:'-584x-430y531z',
                82:'-586x-586y348z',
                83:'-59x-449y777z',
                84:'-602x-396y539z',
                85:'-610x-660y38z',
                86:'-614x-552y356z',
                87:'-617x-361y546z',
                88:'-630x-325y553z',
                89:'-639x-517y364z',
                90:'-641x-290y560z',
                91:'-643x-627y47z',
                92:'-650x-254y567z',
                93:'-657x-217y574z',
                94:'-662x-181y581z',
                95:'-662x-481y372z',
                96:'-665x-145y588z',
                97:'-675x-592y56z',
                98:'-683x-444y381z',
                99:'-702x-405y389z',
                100:'-704x-555y65z',
                101:'-719x-366y397z',
                102:'-732x-517y74z',
                103:'-734x-326y405z',
                104:'-746x-286y413z',
                105:'-756x-245y421z',
                106:'-757x-478y82z',
                107:'-764x-204y429z',
                108:'-769x-163y437z',
                109:'-772x-122y445z',
                110:'-773x-81y452z',
                111:'-781x-437y91z',
                112:'-79x-797y409z',
                113:'-802x-395y100z',
                114:'-81x-438y781z',
                115:'-820x-352y109z',
                116:'-836x-308y118z',
                117:'-850x-264y127z',
                118:'-862x-219y136z',
                119:'-8x-128y890z',
                120:'-8x-8y899z',
                121:'-90x-863y237z',
                122:'0x-872y220z'}                         


shot2seven10004xi = {
                1:'-100x-959y264z',
                2:'-114x-473y873z',
                3:'-133x-875y463z',
                4:'-136x-458y878z',
                5:'-14x-521y853z',
                6:'-150x-949y273z',
                7:'-157x-442y883z',
                8:'-15x-132y991z',
                9:'-15x-18y999z',
                10:'-176x-425y887z',
                11:'-178x-863y472z',
                12:'-194x-407y892z',
                13:'-199x-938y283z',
                14:'-20x-26y999z',
                15:'-211x-388y896z',
                16:'-21x-121y992z',
                17:'-221x-847y481z',
                18:'-226x-369y901z',
                19:'-240x-349y905z',
                20:'-247x-923y292z',
                21:'-24x-36y999z',
                22:'-253x-329y909z',
                23:'-25x-110y993z',
                24:'-264x-308y913z',
                25:'-264x-830y490z',
                26:'-273x-287y917z',
                27:'-279x-51y958z',
                28:'-27x-45y998z',
                29:'-281x-266y921z',
                30:'-285x-68y955z',
                31:'-288x-245y925z',
                32:'-28x-99y994z',
                33:'-291x-85y952z',
                34:'-293x-224y929z',
                35:'-294x-906y302z',
                36:'-295x-104y949z',
                37:'-297x-203y932z',
                38:'-298x-123y946z',
                39:'-299x-142y943z',
                40:'-299x-182y936z',
                41:'-29x-56y997z',
                42:'-2x-152y988z',
                43:'-2x-2y999z',
                44:'-300x-162y939z',
                45:'-305x-810y498z',
                46:'-30x-66y997z',
                47:'-30x-88y995z',
                48:'-31x-77y996z',
                49:'-340x-887y311z',
                50:'-345x-789y507z',
                51:'-382x-322y866z',
                52:'-384x-765y516z',
                53:'-385x-865y321z',
                54:'-391x-296y870z',
                55:'-399x-270y875z',
                56:'-405x-245y880z',
                57:'-408x-382y947z',
                58:'-409x-219y885z',
                59:'-40x-511y858z',
                60:'-412x-193y889z',
                61:'-414x-168y894z',
                62:'-41x-894y446z',
                63:'-421x-739y524z',
                64:'-428x-840y330z',
                65:'-456x-712y533z',
                66:'-470x-814y340z',
                67:'-490x-682y541z',
                68:'-50x-965y254z',
                69:'-510x-785y349z',
                70:'-511x-859y2z',
                71:'-521x-652y549z',
                72:'-548x-755y359z',
                73:'-551x-619y558z',
                74:'-555x-831y12z',
                75:'-579x-586y566z',
                76:'-585x-722y368z',
                77:'-598x-801y22z',
                78:'-604x-551y574z',
                79:'-619x-688y377z',
                80:'-628x-515y582z',
                81:'-638x-768y32z',
                82:'-649x-477y591z',
                83:'-652x-652y386z',
                84:'-668x-440y599z',
                85:'-66x-499y863z',
                86:'-678x-733y42z',
                87:'-682x-614y396z',
                88:'-685x-401y607z',
                89:'-700x-362y614z',
                90:'-710x-575y405z',
                91:'-712x-322y622z',
                92:'-715x-696y52z',
                93:'-722x-282y630z',
                94:'-730x-242y638z',
                95:'-736x-201y646z',
                96:'-736x-534y414z',
                97:'-739x-161y653z',
                98:'-750x-658y62z',
                99:'-759x-493y423z',
                100:'-780x-450y432z',
                101:'-783x-617y72z',
                102:'-799x-407y441z',
                103:'-813x-575y82z',
                104:'-815x-363y450z',
                105:'-829x-318y459z',
                106:'-840x-273y468z',
                107:'-842x-531y92z',
                108:'-848x-227y476z',
                109:'-855x-181y485z',
                110:'-858x-135y494z',
                111:'-859x-90y503z',
                112:'-867x-486y102z',
                113:'-87x-886y454z',
                114:'-891x-439y112z',
                115:'-90x-487y868z',
                116:'-911x-391y122z',
                117:'-929x-343y131z',
                118:'-945x-293y141z',
                119:'-957x-243y151z',
                120:'-9x-142y989z',
                121:'-9x-9y999z',
                122:'0x-969y244z'}                       


shot2seven11004xi = {
                1:'-1003x-431y134z',
                2:'-1022x-377y145z',
                3:'-1039x-323y156z',
                4:'-1053x-267y166z',
                5:'-10x-10y1099z',
                6:'-10x-157y1088z',
                7:'-110x-1055y290z',
                8:'-125x-520y960z',
                9:'-146x-963y510z',
                10:'-149x-504y966z',
                11:'-15x-573y938z',
                12:'-165x-1044y301z',
                13:'-16x-19y1099z',
                14:'-172x-486y971z',
                15:'-17x-145y1090z',
                16:'-194x-467y976z',
                17:'-195x-949y519z',
                18:'-214x-448y981z',
                19:'-219x-1031y311z',
                20:'-22x-29y1099z',
                21:'-232x-427y986z',
                22:'-23x-133y1091z',
                23:'-244x-932y529z',
                24:'-249x-406y991z',
                25:'-264x-384y995z',
                26:'-26x-39y1098z',
                27:'-272x-1015y322z',
                28:'-278x-362y1000z',
                29:'-27x-121y1092z',
                30:'-290x-339y1005z',
                31:'-290x-913y539z',
                32:'-2x-168y1087z',
                33:'-2x-2y1099z',
                34:'-301x-316y1009z',
                35:'-307x-56y1054z',
                36:'-309x-293y1013z',
                37:'-30x-50y1098z',
                38:'-314x-75y1051z',
                39:'-317x-270y1018z',
                40:'-31x-109y1094z',
                41:'-320x-94y1048z',
                42:'-322x-247y1022z',
                43:'-324x-114y1044z',
                44:'-324x-997y332z',
                45:'-326x-224y1026z',
                46:'-327x-135y1041z',
                47:'-329x-156y1037z',
                48:'-329x-201y1030z',
                49:'-32x-61y1097z',
                50:'-330x-178y1033z',
                51:'-336x-891y548z',
                52:'-33x-73y1097z',
                53:'-33x-97y1095z',
                54:'-34x-85y1096z',
                55:'-374x-975y343z',
                56:'-380x-868y558z',
                57:'-420x-354y952z',
                58:'-422x-841y567z',
                59:'-423x-951y353z',
                60:'-430x-326y958z',
                61:'-439x-297y963z',
                62:'-445x-417y1033z',
                63:'-446x-269y968z',
                64:'-44x-562y944z',
                65:'-450x-241y973z',
                66:'-454x-213y978z',
                67:'-455x-185y983z',
                68:'-45x-983y490z',
                69:'-463x-813y577z',
                70:'-471x-924y363z',
                71:'-502x-783y586z',
                72:'-517x-895y374z',
                73:'-539x-751y595z',
                74:'-55x-1062y279z',
                75:'-561x-864y384z',
                76:'-562x-945y2z',
                77:'-573x-717y604z',
                78:'-603x-830y394z',
                79:'-606x-681y614z',
                80:'-610x-914y13z',
                81:'-637x-644y623z',
                82:'-643x-794y405z',
                83:'-657x-881y24z',
                84:'-665x-606y632z',
                85:'-681x-756y415z',
                86:'-691x-566y641z',
                87:'-702x-845y35z',
                88:'-714x-525y650z',
                89:'-717x-717y425z',
                90:'-735x-484y658z',
                91:'-73x-549y949z',
                92:'-745x-807y46z',
                93:'-750x-675y435z',
                94:'-754x-441y667z',
                95:'-770x-398y676z',
                96:'-781x-632y445z',
                97:'-784x-354y685z',
                98:'-786x-766y57z',
                99:'-795x-310y693z',
                100:'-803x-266y702z',
                101:'-809x-222y710z',
                102:'-809x-588y455z',
                103:'-813x-177y718z',
                104:'-825x-723y68z',
                105:'-835x-542y465z',
                106:'-858x-495y475z',
                107:'-861x-679y79z',
                108:'-879x-448y485z',
                109:'-895x-632y90z',
                110:'-897x-399y495z',
                111:'-912x-350y505z',
                112:'-924x-300y514z',
                113:'-926x-584y101z',
                114:'-933x-250y524z',
                115:'-940x-199y534z',
                116:'-944x-149y543z',
                117:'-945x-99y553z',
                118:'-954x-534y112z',
                119:'-96x-974y500z',
                120:'-980x-483y123z',
                121:'-99x-535y955z',
                122:'0x-1066y269z'}

shot2seven12004xi = {
                1:'-1008x-327y561z',
                2:'-1010x-637y110z',
                3:'-1018x-272y572z',
                4:'-1026x-218y582z',
                5:'-1030x-163y593z',
                6:'-1031x-108y603z',
                7:'-1041x-583y122z',
                8:'-105x-1063y545z',
                9:'-1069x-527y134z',
                10:'-1094x-470y146z',
                11:'-109x-584y1042z',
                12:'-1115x-411y158z',
                13:'-1134x-352y170z',
                14:'-1149x-292y182z',
                15:'-11x-11y1199z',
                16:'-11x-171y1187z',
                17:'-120x-1151y316z',
                18:'-137x-567y1048z',
                19:'-160x-1050y556z',
                20:'-163x-549y1053z',
                21:'-17x-625y1024z',
                22:'-180x-1139y328z',
                23:'-188x-530y1059z',
                24:'-18x-21y1199z',
                25:'-19x-158y1189z',
                26:'-212x-510y1065z',
                27:'-213x-1035y567z',
                28:'-233x-488y1070z',
                29:'-239x-1125y339z',
                30:'-24x-32y1199z',
                31:'-253x-466y1076z',
                32:'-25x-145y1190z',
                33:'-266x-1017y577z',
                34:'-272x-443y1081z',
                35:'-289x-419y1086z',
                36:'-296x-1108y351z',
                37:'-29x-43y1198z',
                38:'-2x-183y1185z',
                39:'-303x-395y1091z',
                40:'-30x-132y1192z',
                41:'-317x-370y1096z',
                42:'-317x-996y588z',
                43:'-328x-345y1101z',
                44:'-32x-55y1198z',
                45:'-335x-61y1150z',
                46:'-338x-320y1105z',
                47:'-33x-119y1193z',
                48:'-343x-81y1146z',
                49:'-345x-294y1110z',
                50:'-349x-103y1143z',
                51:'-352x-269y1115z',
                52:'-353x-1087y362z',
                53:'-354x-124y1139z',
                54:'-356x-244y1119z',
                55:'-357x-147y1135z',
                56:'-359x-171y1131z',
                57:'-359x-219y1123z',
                58:'-35x-67y1197z',
                59:'-360x-195y1127z',
                60:'-367x-973y598z',
                61:'-36x-106y1194z',
                62:'-37x-80y1196z',
                63:'-37x-92y1195z',
                64:'-3x-2y1199z',
                65:'-408x-1064y374z',
                66:'-415x-946y609z',
                67:'-458x-386y1039z',
                68:'-461x-918y619z',
                69:'-462x-1038y385z',
                70:'-469x-355y1045z',
                71:'-479x-325y1051z',
                72:'-482x-452y1119z',
                73:'-486x-294y1056z',
                74:'-491x-263y1062z',
                75:'-495x-232y1067z',
                76:'-496x-202y1073z',
                77:'-49x-1072y535z',
                78:'-49x-613y1030z',
                79:'-505x-887y629z',
                80:'-514x-1008y397z',
                81:'-547x-854y639z',
                82:'-564x-977y408z',
                83:'-588x-819y649z',
                84:'-60x-1158y305z',
                85:'-612x-942y419z',
                86:'-613x-1031y2z',
                87:'-626x-782y659z',
                88:'-658x-906y430z',
                89:'-661x-743y669z',
                90:'-666x-997y14z',
                91:'-695x-703y679z',
                92:'-702x-867y441z',
                93:'-717x-961y26z',
                94:'-725x-661y689z',
                95:'-743x-825y453z',
                96:'-754x-618y699z',
                97:'-766x-922y38z',
                98:'-779x-573y709z',
                99:'-782x-782y464z',
                100:'-79x-599y1036z',
                101:'-802x-528y718z',
                102:'-813x-880y50z',
                103:'-818x-737y475z',
                104:'-823x-481y728z',
                105:'-840x-434y737z',
                106:'-852x-690y486z',
                107:'-855x-386y747z',
                108:'-858x-836y62z',
                109:'-867x-338y756z',
                110:'-876x-290y766z',
                111:'-883x-242y775z',
                112:'-883x-641y497z',
                113:'-887x-194y784z',
                114:'-900x-789y74z',
                115:'-911x-592y508z',
                116:'-937x-540y518z',
                117:'-939x-741y86z',
                118:'-959x-488y529z',
                119:'-976x-690y98z',
                120:'-978x-435y540z',
                121:'-995x-381y551z',
                122:'0x-1163y293z'}

shot2seven13004xi = {
               1:'-1015x-586y562z',
                2:'-1018x-802y93z',
                3:'-1039x-529y573z',
                4:'-1057x-747y106z',
                5:'-1060x-472y585z',
                6:'-1078x-413y597z',
                7:'-1092x-354y608z',
                8:'-1094x-690y119z',
                9:'-1103x-295y620z',
                10:'-1111x-236y631z',
                11:'-1116x-176y642z',
                12:'-1117x-117y654z',
                13:'-1128x-632y132z',
                14:'-114x-1151y591z',
                15:'-1158x-571y145z',
                16:'-1185x-509y158z',
                17:'-118x-633y1129z',
                18:'-11x-12y1299z',
                19:'-1208x-446y171z',
                20:'-1228x-381y184z',
                21:'-1245x-316y197z',
                22:'-12x-185y1286z',
                23:'-131x-1247y343z',
                24:'-148x-615y1135z',
                25:'-173x-1138y603z',
                26:'-177x-595y1141z',
                27:'-18x-677y1109z',
                28:'-195x-1234y355z',
                29:'-19x-23y1299z',
                30:'-204x-574y1147z',
                31:'-20x-171y1288z',
                32:'-229x-552y1154z',
                33:'-231x-1121y614z',
                34:'-253x-529y1159z',
                35:'-259x-1219y368z',
                36:'-26x-34y1299z',
                37:'-275x-505y1165z',
                38:'-27x-157y1290z',
                39:'-288x-1102y625z',
                40:'-295x-480y1171z',
                41:'-2x-198y1284z',
                42:'-313x-454y1177z',
                43:'-31x-47y1298z',
                44:'-321x-1200y380z',
                45:'-329x-428y1182z',
                46:'-32x-143y1291z',
                47:'-343x-1079y637z',
                48:'-343x-401y1187z',
                49:'-355x-374y1193z',
                50:'-35x-59y1298z',
                51:'-363x-66y1246z',
                52:'-366x-346y1198z',
                53:'-36x-129y1293z',
                54:'-371x-88y1242z',
                55:'-374x-319y1203z',
                56:'-378x-111y1238z',
                57:'-381x-291y1208z',
                58:'-382x-1178y393z',
                59:'-383x-135y1234z',
                60:'-386x-264y1212z',
                61:'-387x-160y1230z',
                62:'-389x-185y1226z',
                63:'-389x-237y1217z',
                64:'-38x-73y1297z',
                65:'-390x-211y1221z',
                66:'-397x-1054y648z',
                67:'-39x-114y1294z',
                68:'-3x-3y1299z',
                69:'-40x-100y1295z',
                70:'-40x-86y1296z',
                71:'-442x-1153y405z',
                72:'-449x-1025y659z',
                73:'-496x-419y1125z',
                74:'-499x-995y670z',
                75:'-500x-1124y417z',
                76:'-509x-385y1132z',
                77:'-519x-352y1138z',
                78:'-519x-486y1205z',
                79:'-527x-318y1144z',
                80:'-532x-285y1150z',
                81:'-536x-251y1156z',
                82:'-538x-219y1162z',
                83:'-53x-664y1116z',
                84:'-547x-961y682z',
                85:'-54x-1162y579z',
                86:'-556x-1093y430z',
                87:'-593x-925y693z',
                88:'-611x-1058y442z',
                89:'-637x-887y704z',
                90:'-65x-1255y330z',
                91:'-663x-1021y454z',
                92:'-664x-1117y3z',
                93:'-678x-847y714z',
                94:'-713x-981y466z',
                95:'-716x-805y725z',
                96:'-722x-1080y16z',
                97:'-753x-761y736z',
                98:'-760x-939y478z',
                99:'-777x-1041y29z',
                100:'-786x-716y747z',
                101:'-805x-894y490z',
                102:'-816x-669y757z',
                103:'-830x-999y42z',
                104:'-844x-621y768z',
                105:'-847x-847y502z',
                106:'-869x-572y778z',
                107:'-86x-649y1122z',
                108:'-881x-953y55z',
                109:'-887x-798y514z',
                110:'-891x-521y789z',
                111:'-910x-470y799z',
                112:'-923x-747y526z',
                113:'-926x-419y809z',
                114:'-929x-906y68z',
                115:'-939x-367y819z',
                116:'-949x-314y829z',
                117:'-956x-262y839z',
                118:'-957x-695y538z',
                119:'-961x-210y849z',
                120:'-975x-855y80z',
                121:'-987x-641y550z',
                122:'0x-1260y318z'}

shot2seven14004xi = {
                1:'-1001x-975y73z',
                2:'-1012x-395y882z',
                3:'-1022x-338y893z',
                4:'-1030x-282y904z',
                5:'-1030x-748y580z',
                6:'-1035x-226y915z',
                7:'-1050x-921y87z',
                8:'-1063x-690y592z',
                9:'-1093x-631y605z',
                10:'-1096x-864y101z',
                11:'-1119x-570y618z',
                12:'-1139x-805y115z',
                13:'-1141x-508y630z',
                14:'-1161x-445y643z',
                15:'-1176x-382y655z',
                16:'-1178x-744y129z',
                17:'-1188x-318y667z',
                18:'-1197x-254y680z',
                19:'-1201x-190y692z',
                20:'-1203x-126y704z',
                21:'-1215x-680y143z',
                22:'-123x-1240y636z',
                23:'-1247x-615y156z',
                24:'-1276x-548y170z',
                25:'-127x-681y1216z',
                26:'-12x-13y1399z',
                27:'-1301x-480y184z',
                28:'-1323x-411y198z',
                29:'-1341x-340y212z',
                30:'-13x-199y1385z',
                31:'-141x-1342y369z',
                32:'-159x-662y1222z',
                33:'-186x-1226y649z',
                34:'-190x-641y1229z',
                35:'-19x-729y1194z',
                36:'-210x-1329y383z',
                37:'-21x-25y1399z',
                38:'-220x-619y1236z',
                39:'-22x-185y1387z',
                40:'-247x-595y1242z',
                41:'-249x-1208y661z',
                42:'-272x-570y1249z',
                43:'-279x-1313y396z',
                44:'-28x-37y1399z',
                45:'-296x-544y1255z',
                46:'-29x-170y1389z',
                47:'-310x-1187y674z',
                48:'-317x-517y1261z',
                49:'-337x-489y1267z',
                50:'-33x-50y1398z',
                51:'-346x-1293y409z',
                52:'-354x-461y1273z',
                53:'-35x-154y1390z',
                54:'-369x-432y1279z',
                55:'-370x-1162y686z',
                56:'-383x-402y1284z',
                57:'-38x-64y1397z',
                58:'-391x-72y1342z',
                59:'-394x-373y1290z',
                60:'-39x-139y1392z',
                61:'-3x-214y1383z',
                62:'-3x-3y1399z',
                63:'-400x-95y1338z',
                64:'-403x-343y1295z',
                65:'-407x-120y1333z',
                66:'-410x-314y1300z',
                67:'-412x-1269y423z',
                68:'-413x-145y1329z',
                69:'-415x-285y1306z',
                70:'-417x-172y1325z',
                71:'-419x-199y1320z',
                72:'-419x-256y1311z',
                73:'-41x-78y1397z',
                74:'-420x-227y1315z',
                75:'-428x-1135y698z',
                76:'-42x-123y1393z',
                77:'-43x-108y1395z',
                78:'-43x-93y1396z',
                79:'-476x-1241y436z',
                80:'-484x-1104y710z',
                81:'-535x-451y1212z',
                82:'-538x-1071y722z',
                83:'-539x-1211y449z',
                84:'-548x-415y1219z',
                85:'-556x-521y1291z',
                86:'-559x-379y1226z',
                87:'-567x-343y1232z',
                88:'-573x-307y1239z',
                89:'-577x-271y1245z',
                90:'-579x-235y1252z',
                91:'-57x-715y1201z',
                92:'-589x-1035y734z',
                93:'-58x-1251y624z',
                94:'-599x-1177y463z',
                95:'-639x-997y746z',
                96:'-658x-1140y476z',
                97:'-686x-956y758z',
                98:'-70x-1352y356z',
                99:'-714x-1100y489z',
                100:'-715x-1203y3z',
                101:'-730x-912y769z',
                102:'-768x-1057y502z',
                103:'-772x-867y781z',
                104:'-777x-1164y17z',
                105:'-810x-820y793z',
                106:'-819x-1011y515z',
                107:'-837x-1121y31z',
                108:'-846x-771y804z',
                109:'-867x-963y528z',
                110:'-879x-721y816z',
                111:'-894x-1075y45z',
                112:'-909x-669y827z',
                113:'-912x-912y541z',
                114:'-92x-699y1209z',
                115:'-936x-616y838z',
                116:'-949x-1027y59z',
                117:'-955x-860y554z',
                118:'-960x-561y849z',
                119:'-980x-506y860z',
                120:'-994x-805y567z',
                121:'-997x-451y871z',
                122:'0x-1357y342z'}

shot2seven15004xi = {
                1:'-1003x-660y898z',
                2:'-1017x-1100y63z',
                3:'-1023x-921y594z',
                4:'-1028x-602y910z',
                5:'-1050x-543y922z',
                6:'-1065x-863y607z',
                7:'-1069x-483y934z',
                8:'-1072x-1045y78z',
                9:'-1084x-423y945z',
                10:'-1096x-363y957z',
                11:'-1104x-302y969z',
                12:'-1104x-802y621z',
                13:'-1109x-242y980z',
                14:'-1125x-987y93z',
                15:'-1139x-740y635z',
                16:'-1171x-676y648z',
                17:'-1174x-926y108z',
                18:'-1199x-611y662z',
                19:'-1220x-862y123z',
                20:'-1223x-544y675z',
                21:'-1243x-477y688z',
                22:'-1260x-409y702z',
                23:'-1263x-797y138z',
                24:'-1273x-341y715z',
                25:'-1282x-272y728z',
                26:'-1287x-203y741z',
                27:'-1289x-135y754z',
                28:'-1301x-729y153z',
                29:'-131x-1329y682z',
                30:'-1336x-659y168z',
                31:'-1367x-587y183z',
                32:'-136x-730y1302z',
                33:'-1394x-514y197z',
                34:'-13x-14y1499z',
                35:'-1417x-440y212z',
                36:'-1436x-365y227z',
                37:'-14x-214y1484z',
                38:'-151x-1438y396z',
                39:'-171x-709y1310z',
                40:'-200x-1313y695z',
                41:'-204x-687y1317z',
                42:'-21x-781y1280z',
                43:'-225x-1424y410z',
                44:'-22x-27y1499z',
                45:'-235x-663y1324z',
                46:'-23x-198y1486z',
                47:'-265x-637y1331z',
                48:'-267x-1294y709z',
                49:'-292x-610y1338z',
                50:'-299x-1407y424z',
                51:'-30x-40y1499z',
                52:'-317x-583y1345z',
                53:'-31x-182y1488z',
                54:'-332x-1271y722z',
                55:'-340x-554y1351z',
                56:'-361x-524y1358z',
                57:'-36x-54y1498z',
                58:'-371x-1385y439z',
                59:'-379x-493y1364z',
                60:'-37x-165y1490z',
                61:'-396x-1245y735z',
                62:'-396x-462y1370z',
                63:'-3x-229y1482z',
                64:'-3x-3y1499z',
                65:'-410x-431y1376z',
                66:'-419x-77y1438z',
                67:'-41x-68y1497z',
                68:'-422x-400y1382z',
                69:'-428x-102y1433z',
                70:'-42x-149y1491z',
                71:'-432x-368y1388z',
                72:'-436x-128y1429z',
                73:'-440x-336y1393z',
                74:'-441x-1359y453z',
                75:'-442x-156y1424z',
                76:'-445x-305y1399z',
                77:'-447x-184y1419z',
                78:'-449x-213y1414z',
                79:'-449x-274y1404z',
                80:'-44x-84y1496z',
                81:'-450x-243y1409z',
                82:'-458x-1216y748z',
                83:'-45x-132y1493z',
                84:'-46x-100y1495z',
                85:'-46x-116y1494z',
                86:'-510x-1330y467z',
                87:'-518x-1183y761z',
                88:'-573x-483y1299z',
                89:'-576x-1148y774z',
                90:'-577x-1297y482z',
                91:'-587x-444y1306z',
                92:'-593x-556y1377z',
                93:'-599x-406y1313z',
                94:'-608x-367y1320z',
                95:'-614x-328y1328z',
                96:'-619x-290y1334z',
                97:'-61x-766y1287z',
                98:'-621x-252y1341z',
                99:'-62x-1341y669z',
                100:'-631x-1109y787z',
                101:'-642x-1261y496z',
                102:'-684x-1068y799z',
                103:'-705x-1221y510z',
                104:'-735x-1024y812z',
                105:'-75x-1448y381z',
                106:'-765x-1178y524z',
                107:'-766x-1289y3z',
                108:'-782x-978y824z',
                109:'-822x-1132y538z',
                110:'-827x-929y837z',
                111:'-833x-1247y18z',
                112:'-868x-879y849z',
                113:'-877x-1083y552z',
                114:'-897x-1201y33z',
                115:'-907x-826y862z',
                116:'-929x-1032y566z',
                117:'-942x-772y874z',
                118:'-958x-1152y48z',
                119:'-974x-716y886z',
                120:'-978x-978y580z',
                121:'-99x-749y1295z',
                122:'0x-1454y367z'}

shot2seven16004xi = {
                1:'-1005x-824y932z',
                2:'-1022x-1229y51z',
                3:'-1039x-764y945z',
                4:'-1043x-1043y618z',
                5:'-106x-799y1381z',
                6:'-1070x-704y958z',
                7:'-1084x-1174y67z',
                8:'-1091x-983y633z',
                9:'-1097x-642y971z',
                10:'-1120x-579y983z',
                11:'-1136x-920y648z',
                12:'-1140x-515y996z',
                13:'-1144x-1115y83z',
                14:'-1156x-451y1008z',
                15:'-1169x-387y1021z',
                16:'-1177x-322y1033z',
                17:'-1178x-855y662z',
                18:'-1182x-258y1045z',
                19:'-1200x-1053y99z',
                20:'-1215x-789y677z',
                21:'-1249x-721y691z',
                22:'-1253x-988y115z',
                23:'-1279x-651y706z',
                24:'-1302x-920y131z',
                25:'-1305x-581y720z',
                26:'-1326x-509y734z',
                27:'-1344x-436y749z',
                28:'-1347x-850y147z',
                29:'-1358x-363y763z',
                30:'-1368x-290y777z',
                31:'-1373x-217y791z',
                32:'-1375x-144y804z',
                33:'-1388x-777y163z',
                34:'-140x-1417y727z',
                35:'-1425x-703y179z',
                36:'-1458x-627y195z',
                37:'-145x-779y1389z',
                38:'-1487x-549y211z',
                39:'-14x-15y1599z',
                40:'-1512x-469y226z',
                41:'-1532x-389y242z',
                42:'-15x-228y1583z',
                43:'-161x-1534y422z',
                44:'-182x-757y1397z',
                45:'-213x-1401y742z',
                46:'-218x-733y1405z',
                47:'-22x-833y1365z',
                48:'-240x-1519y437z',
                49:'-24x-28y1599z',
                50:'-251x-707y1412z',
                51:'-25x-211y1585z',
                52:'-282x-680y1420z',
                53:'-285x-1380y756z',
                54:'-311x-651y1427z',
                55:'-319x-1500y453z',
                56:'-32x-42y1599z',
                57:'-338x-621y1434z',
                58:'-33x-194y1587z',
                59:'-355x-1356y770z',
                60:'-363x-591y1441z',
                61:'-385x-559y1448z',
                62:'-38x-57y1598z',
                63:'-395x-1477y468z',
                64:'-3x-244y1581z',
                65:'-405x-526y1455z',
                66:'-40x-176y1589z',
                67:'-422x-493y1461z',
                68:'-423x-1328y784z',
                69:'-438x-460y1468z',
                70:'-43x-73y1597z',
                71:'-447x-82y1533z',
                72:'-450x-426y1474z',
                73:'-457x-109y1529z',
                74:'-45x-159y1591z',
                75:'-461x-393y1480z',
                76:'-465x-137y1524z',
                77:'-469x-359y1486z',
                78:'-471x-1450y483z',
                79:'-472x-166y1519z',
                80:'-475x-325y1492z',
                81:'-477x-196y1514z',
                82:'-478x-292y1498z',
                83:'-479x-228y1509z',
                84:'-47x-89y1596z',
                85:'-480x-260y1503z',
                86:'-489x-1297y798z',
                87:'-48x-141y1593z',
                88:'-49x-106y1595z',
                89:'-49x-123y1594z',
                90:'-4x-3y1599z',
                91:'-544x-1419y499z',
                92:'-553x-1262y812z',
                93:'-611x-515y1385z',
                94:'-615x-1224y825z',
                95:'-616x-1384y514z',
                96:'-626x-474y1393z',
                97:'-630x-591y1463z',
                98:'-638x-433y1401z',
                99:'-648x-392y1409z',
                100:'-655x-350y1416z',
                101:'-65x-817y1373z',
                102:'-660x-310y1423z',
                103:'-662x-269y1431z',
                104:'-66x-1430y713z',
                105:'-674x-1183y839z',
                106:'-685x-1345y529z',
                107:'-730x-1139y853z',
                108:'-752x-1302y544z',
                109:'-784x-1092y866z',
                110:'-80x-1545y406z',
                111:'-816x-1257y559z',
                112:'-817x-1375y3z',
                113:'-834x-1043y879z',
                114:'-877x-1208y574z',
                115:'-882x-991y893z',
                116:'-888x-1330y19z',
                117:'-926x-937y906z',
                118:'-936x-1156y589z',
                119:'-956x-1281y35z',
                120:'-967x-881y919z',
                121:'-991x-1101y604z',
                122:'0x-1551y391z'}

shot2seven17004xi = {
                1:'-1016x-1361y37z',
                2:'-1028x-936y977z',
                3:'-1053x-1169y641z',
                4:'-1068x-875y991z',
                5:'-1086x-1306y54z',
                6:'-1104x-812y1004z',
                7:'-1108x-1108y657z',
                8:'-112x-849y1468z',
                9:'-1137x-748y1018z',
                10:'-1152x-1247y71z',
                11:'-1160x-1044y673z',
                12:'-1165x-682y1031z',
                13:'-1190x-615y1045z',
                14:'-1207x-978y688z',
                15:'-1211x-548y1058z',
                16:'-1215x-1184y88z',
                17:'-1228x-480y1072z',
                18:'-1242x-411y1085z',
                19:'-1251x-343y1098z',
                20:'-1251x-909y704z',
                21:'-1256x-274y1111z',
                22:'-1275x-1118y105z',
                23:'-1291x-838y719z',
                24:'-1327x-766y735z',
                25:'-1331x-1049y122z',
                26:'-1359x-692y750z',
                27:'-1383x-978y139z',
                28:'-1386x-617y765z',
                29:'-1409x-541y780z',
                30:'-1428x-464y795z',
                31:'-1431x-903y156z',
                32:'-1443x-386y810z',
                33:'-1453x-308y825z',
                34:'-1459x-231y840z',
                35:'-1461x-153y855z',
                36:'-1475x-826y173z',
                37:'-149x-1506y773z',
                38:'-1514x-747y190z',
                39:'-154x-828y1476z',
                40:'-1550x-666y207z',
                41:'-1580x-583y224z',
                42:'-15x-16y1699z',
                43:'-1607x-499y241z',
                44:'-1628x-413y257z',
                45:'-16x-242y1682z',
                46:'-171x-1630y448z',
                47:'-194x-804y1484z',
                48:'-226x-1488y788z',
                49:'-231x-778y1493z',
                50:'-24x-885y1450z',
                51:'-255x-1614y465z',
                52:'-25x-30y1699z',
                53:'-267x-751y1501z',
                54:'-27x-224y1684z',
                55:'-300x-722y1509z',
                56:'-302x-1467y803z',
                57:'-331x-692y1516z',
                58:'-338x-1594y481z',
                59:'-34x-45y1699z',
                60:'-359x-660y1524z',
                61:'-35x-206y1687z',
                62:'-377x-1441y818z',
                63:'-385x-627y1531z',
                64:'-3x-260y1679z',
                65:'-409x-594y1539z',
                66:'-41x-61y1698z',
                67:'-420x-1570y497z',
                68:'-42x-187y1689z',
                69:'-430x-559y1546z',
                70:'-449x-1411y833z',
                71:'-449x-524y1553z',
                72:'-465x-489y1560z',
                73:'-46x-78y1697z',
                74:'-475x-87y1629z',
                75:'-478x-453y1566z',
                76:'-486x-116y1624z',
                77:'-48x-169y1690z',
                78:'-490x-417y1573z',
                79:'-495x-145y1619z',
                80:'-498x-381y1579z',
                81:'-4x-4y1699z',
                82:'-500x-1541y514z',
                83:'-501x-177y1614z',
                84:'-505x-346y1585z',
                85:'-506x-209y1609z',
                86:'-508x-310y1591z',
                87:'-509x-242y1603z',
                88:'-50x-95y1696z',
                89:'-510x-276y1597z',
                90:'-519x-1378y848z',
                91:'-51x-150y1692z',
                92:'-52x-113y1695z',
                93:'-52x-131y1694z',
                94:'-578x-1507y530z',
                95:'-587x-1341y862z',
                96:'-649x-547y1472z',
                97:'-653x-1301y877z',
                98:'-654x-1470y546z',
                99:'-665x-504y1480z',
                100:'-667x-626y1549z',
                101:'-678x-460y1488z',
                102:'-689x-416y1497z',
                103:'-696x-372y1505z',
                104:'-69x-868y1459z',
                105:'-701x-329y1512z',
                106:'-704x-286y1520z',
                107:'-70x-1519y758z',
                108:'-716x-1257y891z',
                109:'-728x-1429y562z',
                110:'-776x-1210y906z',
                111:'-799x-1384y578z',
                112:'-833x-1161y920z',
                113:'-867x-1335y594z',
                114:'-868x-1461y3z',
                115:'-86x-1641y432z',
                116:'-887x-1108y934z',
                117:'-932x-1283y610z',
                118:'-937x-1053y949z',
                119:'-944x-1413y20z',
                120:'-984x-996y963z',
                121:'-994x-1228y626z',
                122:'0x-1648y415z'}
       
shot2seven18004xi = {
                1:'-1042x-1054y1019z',
                2:'-1053x-1300y662z',
                3:'-1076x-1442y40z',
                4:'-1088x-991y1034z',
                5:'-1115x-1238y679z',
                6:'-1131x-927y1049z',
                7:'-1150x-1383y58z',
                8:'-1169x-860y1063z',
                9:'-1173x-1173y696z',
                10:'-119x-899y1554z',
                11:'-1204x-792y1078z',
                12:'-1220x-1320y76z',
                13:'-1228x-1105y712z',
                14:'-1234x-722y1092z',
                15:'-1260x-651y1106z',
                16:'-1278x-1035y729z',
                17:'-1283x-580y1121z',
                18:'-1287x-1254y94z',
                19:'-1301x-508y1135z',
                20:'-1315x-435y1149z',
                21:'-1325x-363y1162z',
                22:'-1325x-962y745z',
                23:'-1330x-291y1176z',
                24:'-1350x-1184y112z',
                25:'-1367x-888y762z',
                26:'-1405x-811y778z',
                27:'-1409x-1111y130z',
                28:'-1439x-733y794z',
                29:'-1464x-1035y148z',
                30:'-1468x-653y810z',
                31:'-1492x-572y826z',
                32:'-1512x-491y842z',
                33:'-1515x-956y165z',
                34:'-1528x-409y858z',
                35:'-1539x-327y874z',
                36:'-1545x-244y890z',
                37:'-1547x-162y905z',
                38:'-1562x-875y183z',
                39:'-158x-1595y818z',
                40:'-1604x-791y201z',
                41:'-163x-876y1563z',
                42:'-1641x-705y219z',
                43:'-1673x-617y237z',
                44:'-16x-17y1799z',
                45:'-1701x-528y255z',
                46:'-1724x-438y273z',
                47:'-17x-256y1781z',
                48:'-181x-1726y475z',
                49:'-205x-851y1572z',
                50:'-240x-1576y834z',
                51:'-245x-824y1580z',
                52:'-25x-938y1536z',
                53:'-270x-1709y492z',
                54:'-27x-32y1799z',
                55:'-282x-795y1589z',
                56:'-28x-237y1783z',
                57:'-318x-765y1597z',
                58:'-320x-1553y850z',
                59:'-350x-733y1606z',
                60:'-358x-1688y509z',
                61:'-36x-48y1798z',
                62:'-37x-218y1786z',
                63:'-380x-699y1614z',
                64:'-399x-1526y866z',
                65:'-408x-664y1622z',
                66:'-433x-629y1629z',
                67:'-43x-65y1798z',
                68:'-445x-1662y527z',
                69:'-455x-592y1637z',
                70:'-45x-198y1788z',
                71:'-475x-555y1644z',
                72:'-476x-1494y882z',
                73:'-492x-517y1651z',
                74:'-49x-82y1797z',
                75:'-4x-275y1778z',
                76:'-4x-4y1799z',
                77:'-503x-92y1725z',
                78:'-507x-480y1658z',
                79:'-50x-179y1790z',
                80:'-514x-122y1720z',
                81:'-518x-442y1665z',
                82:'-524x-154y1715z',
                83:'-528x-404y1672z',
                84:'-530x-1631y544z',
                85:'-531x-187y1709z',
                86:'-534x-366y1679z',
                87:'-536x-221y1703z',
                88:'-538x-329y1685z',
                89:'-539x-256y1697z',
                90:'-53x-101y1796z',
                91:'-540x-292y1691z',
                92:'-54x-159y1792z',
                93:'-550x-1459y898z',
                94:'-55x-120y1795z',
                95:'-55x-139y1793z',
                96:'-612x-1596y561z',
                97:'-622x-1420y913z',
                98:'-687x-580y1558z',
                99:'-691x-1377y929z',
                100:'-693x-1557y578z',
                101:'-704x-533y1567z',
                102:'-705x-660y1635z',
                103:'-718x-487y1576z',
                104:'-729x-441y1585z',
                105:'-737x-394y1593z',
                106:'-73x-920y1545z',
                107:'-743x-348y1601z',
                108:'-745x-303y1610z',
                109:'-74x-1609y802z',
                110:'-758x-1331y944z',
                111:'-771x-1513y595z',
                112:'-821x-1281y959z',
                113:'-846x-1465y612z',
                114:'-882x-1229y974z',
                115:'-918x-1414y629z',
                116:'-91x-1738y457z',
                117:'-920x-1547y4z',
                118:'-939x-1173y989z',
                119:'-987x-1359y646z',
                120:'-992x-1115y1004z',
                121:'-999x-1496y22z',
                122:'0x-1745y440z'}

shot2seven19004xi = {
                1:'-1042x-1434y682z',
                2:'-1047x-1177y1060z',
                3:'-1055x-1579y23z',
                4:'-1100x-1113y1076z',
                5:'-1111x-1372y699z',
                6:'-1136x-1522y42z',
                7:'-1149x-1047y1092z',
                8:'-1177x-1307y717z',
                9:'-1194x-978y1107z',
                10:'-1214x-1460y61z',
                11:'-1234x-908y1122z',
                12:'-1238x-1238y734z',
                13:'-126x-949y1640z',
                14:'-1271x-836y1138z',
                15:'-1288x-1394y80z',
                16:'-1296x-1167y752z',
                17:'-1303x-762y1153z',
                18:'-1330x-687y1168z',
                19:'-1349x-1093y769z',
                20:'-1354x-612y1183z',
                21:'-1358x-1324y99z',
                22:'-1373x-536y1198z',
                23:'-1388x-460y1212z',
                24:'-1398x-1016y787z',
                25:'-1398x-383y1227z',
                26:'-1404x-307y1241z',
                27:'-1425x-1250y118z',
                28:'-1443x-937y804z',
                29:'-1483x-856y821z',
                30:'-1488x-1173y137z',
                31:'-1519x-773y838z',
                32:'-1546x-1093y156z',
                33:'-1549x-689y855z',
                34:'-1575x-604y872z',
                35:'-1596x-518y889z',
                36:'-1599x-1009y175z',
                37:'-1613x-432y906z',
                38:'-1624x-345y922z',
                39:'-1631x-258y939z',
                40:'-1633x-171y955z',
                41:'-1648x-923y194z',
                42:'-167x-1683y864z',
                43:'-1693x-835y213z',
                44:'-172x-925y1650z',
                45:'-1732x-744y231z',
                46:'-1766x-652y250z',
                47:'-1796x-557y269z',
                48:'-17x-18y1899z',
                49:'-1820x-462y288z',
                50:'-18x-271y1880z',
                51:'-191x-1822y501z',
                52:'-217x-899y1659z',
                53:'-253x-1664y881z',
                54:'-259x-870y1668z',
                55:'-27x-990y1621z',
                56:'-285x-1804y519z',
                57:'-28x-34y1899z',
                58:'-298x-840y1677z',
                59:'-30x-251y1883z',
                60:'-335x-807y1686z',
                61:'-338x-1639y898z',
                62:'-370x-773y1695z',
                63:'-378x-1782y538z',
                64:'-38x-51y1898z',
                65:'-402x-738y1703z',
                66:'-40x-230y1885z',
                67:'-421x-1611y914z',
                68:'-431x-701y1712z',
                69:'-457x-664y1720z',
                70:'-46x-68y1898z',
                71:'-470x-1754y556z',
                72:'-47x-209y1887z',
                73:'-481x-625y1728z',
                74:'-4x-290y1877z',
                75:'-4x-4y1899z',
                76:'-502x-1577y931z',
                77:'-502x-586y1736z',
                78:'-520x-546y1743z',
                79:'-52x-87y1897z',
                80:'-531x-97y1821z',
                81:'-535x-506y1751z',
                82:'-53x-188y1889z',
                83:'-543x-129y1816z',
                84:'-547x-466y1758z',
                85:'-553x-163y1810z',
                86:'-557x-426y1765z',
                87:'-559x-1722y574z',
                88:'-560x-197y1804z',
                89:'-564x-386y1772z',
                90:'-566x-233y1798z',
                91:'-568x-347y1779z',
                92:'-569x-270y1792z',
                93:'-56x-106y1896z',
                94:'-570x-308y1785z',
                95:'-57x-167y1891z',
                96:'-581x-1540y947z',
                97:'-58x-126y1894z',
                98:'-59x-147y1893z',
                99:'-646x-1685y592z',
                100:'-657x-1499y964z',
                101:'-726x-612y1645z',
                102:'-730x-1454y980z',
                103:'-731x-1643y610z',
                104:'-742x-695y1721z',
                105:'-744x-563y1654z',
                106:'-758x-514y1664z',
                107:'-770x-465y1673z',
                108:'-778x-416y1682z',
                109:'-77x-971y1631z',
                110:'-784x-368y1690z',
                111:'-786x-320y1699z',
                112:'-79x-1698y847z',
                113:'-800x-1405y996z',
                114:'-814x-1597y628z ',
                115:'-867x-1353y1013z',
                116:'-893x-1547y646z',
                117:'-931x-1297y1029z',
                118:'-969x-1492y664z',
                119:'-96x-1834y483z',
                120:'-971x-1633y4z',
                121:'-991x-1239y1044z',
                122:'0x-1842y464z'}

shot2seven20004xi = {
                1:'-101x-1931y508z',
                2:'-1020x-1571y699z',
                3:'-1022x-1718y4z',
                4:'-1043x-1304y1099z',
                5:'-1097x-1510y718z',
                6:'-1103x-1239y1116z',
                7:'-1110x-1662y24z',
                8:'-1158x-1172y1133z',
                9:'-1170x-1445y736z',
                10:'-1196x-1602y44z',
                11:'-1209x-1102y1149z',
                12:'-1239x-1376y755z',
                13:'-1256x-1030y1165z',
                14:'-1277x-1537y64z',
                15:'-1299x-955y1182z',
                16:'-1304x-1304y773z',
                17:'-132x-999y1727z',
                18:'-1337x-880y1198z',
                19:'-1356x-1467y84z',
                20:'-1364x-1228y792z',
                21:'-1371x-802y1214z',
                22:'-1400x-724y1229z',
                23:'-1420x-1150y810z',
                24:'-1425x-644y1245z',
                25:'-1430x-1393y104z',
                26:'-1445x-564y1261z',
                27:'-1461x-484y1276z',
                28:'-1472x-1069y828z',
                29:'-1472x-403y1292z',
                30:'-1478x-323y1307z',
                31:'-1500x-1316y124z',
                32:'-1519x-986y846z',
                33:'-1561x-901y864z',
                34:'-1566x-1235y144z',
                35:'-1598x-814y882z',
                36:'-1627x-1150y164z',
                37:'-1631x-726y900z',
                38:'-1658x-636y918z',
                39:'-1680x-546y936z',
                40:'-1684x-1062y184z',
                41:'-1697x-454y953z',
                42:'-1710x-363y971z',
                43:'-1717x-271y988z',
                44:'-1718x-180y1006z',
                45:'-1735x-972y204z',
                46:'-175x-1772y909z',
                47:'-1782x-879y224z',
                48:'-181x-974y1737z',
                49:'-1823x-783y244z',
                50:'-1859x-686y263z',
                51:'-1890x-587y283z',
                52:'-18x-19y1999z',
                53:'-1915x-486y303z',
                54:'-19x-285y1979z',
                55:'-201x-1918y528z',
                56:'-228x-946y1747z',
                57:'-266x-1751y927z',
                58:'-272x-916y1756z',
                59:'-28x-1042y1706z',
                60:'-300x-1899y547z',
                61:'-30x-36y1999z',
                62:'-314x-884y1766z',
                63:'-31x-264y1982z',
                64:'-353x-850y1775z',
                65:'-356x-1726y945z',
                66:'-389x-814y1784z',
                67:'-398x-1876y566z',
                68:'-40x-53y1998z',
                69:'-423x-777y1793z',
                70:'-42x-242y1984z',
                71:'-443x-1695y962z',
                72:'-453x-738y1802z',
                73:'-481x-699y1810z',
                74:'-48x-72y1998z',
                75:'-494x-1847y585z',
                76:'-4x-305y1976z',
                77:'-506x-658y1819z',
                78:'-50x-220y1987z',
                79:'-528x-1660y980z',
                80:'-528x-617y1827z',
                81:'-547x-575y1835z',
                82:'-54x-91y1997z',
                83:'-559x-103y1917z',
                84:'-563x-533y1843z',
                85:'-56x-198y1989z',
                86:'-571x-136y1911z',
                87:'-576x-491y1850z',
                88:'-582x-171y1905z',
                89:'-586x-449y1858z',
                90:'-589x-1813y604z',
                91:'-590x-208y1899z',
                92:'-594x-407y1865z',
                93:'-596x-246y1893z',
                94:'-598x-365y1872z',
                95:'-599x-285y1886z',
                96:'-59x-112y1995z',
                97:'-5x-4y1999z',
                98:'-600x-325y1879z',
                99:'-60x-176y1991z',
                100:'-611x-1621y997z',
                101:'-61x-133y1994z',
                102:'-62x-154y1993z',
                103:'-680x-1774y623z',
                104:'-691x-1578y1015z',
                105:'-764x-644y1732z',
                106:'-768x-1530y1032z',
                107:'-770x-1730y642z',
                108:'-779x-730y1808z',
                109:'-783x-593y1741z',
                110:'-798x-541y1751z',
                111:'-810x-490y1761z',
                112:'-819x-438y1770z',
                113:'-81x-1022y1717z',
                114:'-825x-387y1779z',
                115:'-828x-337y1788z',
                116:'-83x-1788y892z',
                117:'-842x-1479y1049z',
                118:'-856x-1681y661z',
                119:'-913x-1424y1066z',
                120:'-940x-1628y680z',
                121:'-980x-1365y1083z',
                122:'0x-1939y489z'}         


shot2seven21004xi = {
                1:'-1029x-1434y1137z',
                2:'-106x-2028y534z',
                3:'-1071x-1650y734z',
                4:'-1073x-1804y4z',
                5:'-1095x-1369y1154z',
                6:'-1152x-1585y753z',
                7:'-1158x-1301y1172z',
                8:'-1166x-1746y25z',
                9:'-1216x-1230y1189z',
                10:'-1228x-1517y773z',
                11:'-1255x-1682y46z',
                12:'-1270x-1157y1207z',
                13:'-1301x-1445y792z',
                14:'-1319x-1081y1224z',
                15:'-1341x-1613y67z',
                16:'-1364x-1003y1241z',
                17:'-1369x-1369y812z',
                18:'-139x-1049y1813z',
                19:'-1404x-924y1258z',
                20:'-1423x-1540y88z',
                21:'-1433x-1290y831z',
                22:'-1440x-842y1274z',
                23:'-1471x-760y1291z',
                24:'-1492x-1208y850z',
                25:'-1496x-677y1307z',
                26:'-1501x-1463y109z',
                27:'-1518x-592y1324z',
                28:'-1534x-508y1340z',
                29:'-1545x-423y1356z',
                30:'-1546x-1123y870z',
                31:'-1552x-339y1372z',
                32:'-1575x-1382y130z',
                33:'-1595x-1036y889z',
                34:'-1639x-946y908z',
                35:'-1644x-1296y151z',
                36:'-1678x-855y927z',
                37:'-1708x-1208y172z',
                38:'-1712x-762y945z',
                39:'-1741x-668y964z',
                40:'-1764x-573y983z',
                41:'-1768x-1116y193z',
                42:'-1782x-477y1001z',
                43:'-1795x-381y1020z',
                44:'-1802x-285y1038z',
                45:'-1804x-189y1056z',
                46:'-1822x-1020y214z',
                47:'-184x-1860y955z',
                48:'-1871x-923y235z',
                49:'-190x-1022y1824z',
                50:'-1914x-823y256z',
                51:'-1952x-720y277z',
                52:'-1985x-616y297z',
                53:'-19x-20y2099z',
                54:'-2011x-511y318z',
                55:'-20x-299y2078z',
                56:'-211x-2014y554z',
                57:'-239x-993y1834z',
                58:'-280x-1839y974z',
                59:'-286x-962y1844z',
                60:'-29x-1094y1792z',
                61:'-315x-1994y574z',
                62:'-31x-37y2099z',
                63:'-330x-928y1854z',
                64:'-33x-277y2081z',
                65:'-371x-892y1864z',
                66:'-374x-1812y992z',
                67:'-409x-855y1873z',
                68:'-418x-1969y594z',
                69:'-42x-56y2098z',
                70:'-444x-816y1883z',
                71:'-44x-255y2083z',
                72:'-465x-1780y1011z',
                73:'-476x-775y1892z',
                74:'-4x-321y2075z',
                75:'-505x-734y1901z',
                76:'-50x-75y2098z',
                77:'-519x-1939y614z',
                78:'-52x-232y2086z',
                79:'-531x-691y1910z',
                80:'-554x-648y1918z',
                81:'-555x-1744y1029z',
                82:'-574x-604y1927z',
                83:'-57x-96y2096z',
                84:'-587x-108y2013z',
                85:'-591x-560y1935z',
                86:'-59x-208y2088z',
                87:'-5x-5y2099z',
                88:'-600x-143y2007z',
                89:'-605x-515y1943z',
                90:'-611x-180y2000z',
                91:'-616x-471y1951z',
                92:'-618x-1903y635z',
                93:'-620x-218y1994z',
                94:'-623x-427y1959z',
                95:'-626x-258y1987z',
                96:'-628x-384y1966z',
                97:'-629x-299y1980z',
                98:'-62x-117y2095z',
                99:'-630x-341y1973z',
                100:'-63x-185y2090z',
                101:'-642x-1702y1047z',
                102:'-64x-140y2094z',
                103:'-65x-162y2092z',
                104:'-715x-1862y655z',
                105:'-726x-1657y1065z',
                106:'-802x-676y1818z',
                107:'-807x-1607y1083z',
                108:'-808x-1816y674z',
                109:'-816x-765y1894z',
                110:'-822x-622y1829z',
                111:'-838x-568y1839z',
                112:'-851x-514y1849z',
                113:'-85x-1073y1802z',
                114:'-860x-460y1859z',
                115:'-866x-406y1868z',
                116:'-869x-353y1878z',
                117:'-87x-1877y936z',
                118:'-884x-1553y1101z',
                119:'-899x-1765y694z',
                120:'-958x-1495y1119z',
                121:'-987x-1710y714z',
                122:'0x-2036y513z'}

shot2seven22004xi = {
                1:'-1004x-1566y1172z',
                2:'-1034x-1791y748z',
                3:'-1078x-1502y1191z',
                4:'-111x-2124y559z',
                5:'-1122x-1728y769z',
                6:'-1124x-1890y5z',
                7:'-1147x-1434y1209z',
                8:'-1206x-1661y789z',
                9:'-1213x-1363y1228z',
                10:'-1221x-1829y27z',
                11:'-1274x-1289y1246z',
                12:'-1287x-1589y810z',
                13:'-1315x-1762y49z',
                14:'-1330x-1212y1264z',
                15:'-1363x-1513y830z',
                16:'-1382x-1133y1282z',
                17:'-1405x-1690y71z',
                18:'-1429x-1051y1300z',
                19:'-1434x-1434y851z',
                20:'-146x-1099y1899z',
                21:'-1471x-968y1317z',
                22:'-1491x-1614y93z',
                23:'-1501x-1351y871z',
                24:'-1508x-882y1335z',
                25:'-1541x-796y1352z',
                26:'-1563x-1265y891z',
                27:'-1568x-709y1370z',
                28:'-1573x-1533y115z',
                29:'-1590x-621y1387z',
                30:'-1607x-532y1404z',
                31:'-1619x-1176y911z',
                32:'-1619x-444y1421z',
                33:'-1626x-355y1437z',
                34:'-1650x-1447y137z',
                35:'-1671x-1085y931z',
                36:'-1717x-991y951z',
                37:'-1722x-1358y159z',
                38:'-1758x-896y971z',
                39:'-1790x-1265y180z',
                40:'-1794x-798y990z',
                41:'-1824x-700y1010z',
                42:'-1848x-600y1029z',
                43:'-1852x-1169y202z',
                44:'-1867x-500y1049z',
                45:'-1881x-399y1068z',
                46:'-1888x-299y1087z',
                47:'-1890x-198y1106z',
                48:'-1909x-1069y224z',
                49:'-193x-1949y1000z',
                50:'-1960x-967y246z',
                51:'-199x-1071y1910z',
                52:'-2006x-862y268z',
                53:'-2045x-755y290z',
                54:'-2079x-646y312z',
                55:'-20x-21y2199z',
                56:'-2107x-535y333z',
                57:'-21x-314y2177z',
                58:'-221x-2110y580z',
                59:'-251x-1041y1921z',
                60:'-293x-1926y1020z',
                61:'-299x-1008y1932z',
                62:'-31x-1146y1877z',
                63:'-331x-2089y602z',
                64:'-33x-39y2199z',
                65:'-345x-972y1942z',
                66:'-34x-290y2180z',
                67:'-388x-935y1952z',
                68:'-391x-1898y1039z',
                69:'-428x-896y1962z',
                70:'-438x-2063y623z',
                71:'-44x-59y2198z',
                72:'-465x-855y1972z',
                73:'-46x-267y2183z',
                74:'-488x-1865y1059z',
                75:'-499x-812y1982z',
                76:'-529x-769y1991z',
                77:'-53x-79y2197z',
                78:'-544x-2031y644z',
                79:'-557x-724y2001z',
                80:'-55x-243y2185z',
                81:'-581x-1827y1078z',
                82:'-581x-679y2010z',
                83:'-5x-336y2174z',
                84:'-5x-5y2199z',
                85:'-602x-633y2019z',
                86:'-60x-101y2196z',
                87:'-615x-113y2109z',
                88:'-619x-586y2027z',
                89:'-629x-150y2102z',
                90:'-62x-218y2188z',
                91:'-634x-540y2036z',
                92:'-640x-188y2096z',
                93:'-645x-494y2044z',
                94:'-648x-1994y665z',
                95:'-649x-229y2089z',
                96:'-653x-448y2052z',
                97:'-655x-270y2082z',
                98:'-658x-402y2060z',
                99:'-659x-313y2075z',
                100:'-65x-123y2195z',
                101:'-660x-357y2067z',
                102:'-66x-194y2190z',
                103:'-672x-1783y1097z',
                104:'-67x-146y2194z',
                105:'-68x-170y2192z',
                106:'-749x-1951y686z',
                107:'-760x-1736y1116z',
                108:'-840x-709y1905z',
                109:'-845x-1683y1135z',
                110:'-847x-1903y707z',
                111:'-853x-799y1980z',
                112:'-861x-652y1916z',
                113:'-878x-595y1926z',
                114:'-892x-539y1937z',
                115:'-89x-1124y1888z',
                116:'-901x-482y1947z',
                117:'-908x-426y1957z',
                118:'-911x-370y1967z',
                119:'-91x-1966y981z',
                120:'-926x-1627y1154z',
                121:'-942x-1849y727z',
                122:'0x-2133y538z'}

shot2seven23004xi = {
                1:'-1050x-1638y1226z',
                2:'-1081x-1873y782z',
                3:'-1127x-1570y1245z',
                4:'-116x-2221y585z',
                5:'-1173x-1807y804z',
                6:'-1175x-1976y5z',
                7:'-1200x-1499y1264z',
                8:'-1261x-1736y825z',
                9:'-1268x-1425y1284z',
                10:'-1277x-1912y28z',
                11:'-1332x-1347y1303z',
                12:'-1345x-1661y847z',
                13:'-1375x-1842y51z',
                14:'-1391x-1267y1322z',
                15:'-1425x-1582y868z',
                16:'-1445x-1184y1340z',
                17:'-1469x-1767y74z',
                18:'-1494x-1099y1359z',
                19:'-1499x-1499y889z',
                20:'-152x-1149y1986z',
                21:'-1538x-1012y1377z',
                22:'-1559x-1687y97z',
                23:'-1569x-1413y910z',
                24:'-1577x-923y1396z',
                25:'-1611x-832y1414z',
                26:'-1634x-1323y931z',
                27:'-1639x-741y1432z',
                28:'-1645x-1602y120z',
                29:'-1662x-649y1450z',
                30:'-1680x-556y1468z',
                31:'-1693x-1230y952z',
                32:'-1693x-464y1485z',
                33:'-1700x-371y1503z',
                34:'-1725x-1513y143z',
                35:'-1747x-1134y973z',
                36:'-1795x-1036y994z',
                37:'-1801x-1420y166z',
                38:'-1838x-936y1015z',
                39:'-1871x-1323y189z',
                40:'-1875x-835y1035z',
                41:'-1907x-732y1056z',
                42:'-1932x-628y1076z',
                43:'-1936x-1222y212z',
                44:'-1952x-523y1097z',
                45:'-1966x-417y1117z',
                46:'-1974x-312y1137z',
                47:'-1976x-207y1157z',
                48:'-1996x-1118y234z',
                49:'-202x-2038y1046z',
                50:'-2049x-1011y257z',
                51:'-2097x-901y280z',
                52:'-209x-1120y1997z',
                53:'-2138x-789y303z',
                54:'-2174x-675y326z',
                55:'-21x-22y2299z',
                56:'-2203x-559y349z',
                57:'-22x-328y2276z',
                58:'-231x-2206y607z',
                59:'-262x-1088y2009z',
                60:'-306x-2014y1066z',
                61:'-313x-1053y2020z',
                62:'-32x-1198y1962z',
                63:'-346x-2184y629z',
                64:'-34x-41y2299z',
                65:'-361x-1016y2031z',
                66:'-36x-304y2279z',
                67:'-406x-977y2041z',
                68:'-409x-1984y1087z',
                69:'-448x-936y2052z',
                70:'-458x-2157y651z',
                71:'-46x-61y2298z',
                72:'-486x-893y2062z',
                73:'-48x-279y2282z',
                74:'-510x-1950y1107z',
                75:'-522x-849y2072z',
                76:'-554x-804y2082z',
                77:'-55x-83y2297z',
                78:'-569x-2124y673z',
                79:'-57x-254y2285z',
                80:'-582x-757y2092z',
                81:'-5x-351y2272z',
                82:'-5x-5y2299z',
                83:'-607x-709y2101z',
                84:'-608x-1910y1127z',
                85:'-629x-661y2110z',
                86:'-63x-105y2296z',
                87:'-643x-118y2204z',
                88:'-648x-613y2119z',
                89:'-64x-228y2287z',
                90:'-657x-157y2198z',
                91:'-663x-564y2128z',
                92:'-669x-197y2191z',
                93:'-674x-516y2137z',
                94:'-677x-2085y695z',
                95:'-679x-239y2184z',
                96:'-683x-468y2145z',
                97:'-685x-283y2177z',
                98:'-688x-420y2153z',
                99:'-689x-327y2169z',
                100:'-68x-129y2295z',
                101:'-690x-373y2161z',
                102:'-69x-203y2289z',
                103:'-703x-1865y1147z',
                104:'-71x-153y2293z',
                105:'-71x-178y2291z',
                106:'-783x-2040y717z',
                107:'-795x-1815y1167z',
                108:'-879x-741y1991z',
                109:'-884x-1760y1187z',
                110:'-885x-1989y739z',
                111:'-890x-834y2066z',
                112:'-900x-682y2003z',
                113:'-918x-622y2014z',
                114:'-932x-563y2025z',
                115:'-93x-1175y1974z',
                116:'-942x-504y2036z',
                117:'-949x-445y2046z',
                118:'-952x-387y2057z',
                119:'-95x-2056y1025z',
                120:'-969x-1701y1206z',
                121:'-985x-1933y760z',
                122:'0x-2230y562z'}

shot2seven24004xi = {
                1:'-1011x-1775y1259z',
                2:'-1028x-2017y794z',
                3:'-1095x-1709y1279z',
                4:'-1128x-1954y816z',
                5:'-1176x-1639y1299z',
                6:'-121x-2317y610z',
                7:'-1224x-1885y839z',
                8:'-1226x-2062y5z',
                9:'-1252x-1565y1319z',
                10:'-1316x-1812y861z',
                11:'-1323x-1487y1339z',
                12:'-1332x-1995y29z',
                13:'-1390x-1406y1359z',
                14:'-1404x-1734y883z',
                15:'-1435x-1922y53z',
                16:'-1451x-1322y1379z',
                17:'-1487x-1651y906z',
                18:'-1508x-1236y1399z',
                19:'-1533x-1844y77z',
                20:'-1559x-1147y1418z',
                21:'-1564x-1564y928z',
                22:'-159x-1199y2072z',
                23:'-1605x-1056y1437z',
                24:'-1627x-1761y101z',
                25:'-1637x-1474y950z',
                26:'-1646x-963y1456z',
                27:'-1681x-869y1475z',
                28:'-1705x-1380y972z',
                29:'-1710x-773y1494z',
                30:'-1716x-1672y125z',
                31:'-1734x-677y1513z',
                32:'-1753x-581y1532z',
                33:'-1766x-484y1550z',
                34:'-1767x-1283y994z',
                35:'-1774x-388y1568z',
                36:'-1800x-1579y149z',
                37:'-1823x-1184y1016z',
                38:'-1874x-1081y1037z',
                39:'-1879x-1482y173z',
                40:'-1918x-977y1059z',
                41:'-1953x-1380y197z',
                42:'-1957x-871y1080z',
                43:'-1990x-763y1102z',
                44:'-2016x-655y1123z',
                45:'-2020x-1275y221z',
                46:'-2037x-545y1144z',
                47:'-2052x-436y1165z',
                48:'-2060x-326y1186z',
                49:'-2062x-216y1207z',
                50:'-2082x-1166y245z',
                51:'-210x-2126y1091z',
                52:'-2138x-1055y269z',
                53:'-2188x-940y292z',
                54:'-218x-1169y2084z',
                55:'-2231x-823y316z',
                56:'-2268x-704y340z',
                57:'-2299x-584y364z',
                58:'-22x-23y2399z',
                59:'-23x-342y2375z',
                60:'-241x-2302y633z',
                61:'-274x-1135y2096z',
                62:'-320x-2101y1113z',
                63:'-327x-1099y2107z',
                64:'-34x-1250y2048z',
                65:'-361x-2279y656z',
                66:'-36x-43y2399z',
                67:'-377x-1061y2119z',
                68:'-38x-317y2378z',
                69:'-424x-1020y2130z',
                70:'-427x-2071y1134z',
                71:'-467x-977y2141z',
                72:'-478x-2251y679z',
                73:'-48x-64y2398z',
                74:'-507x-932y2152z',
                75:'-50x-291y2381z',
                76:'-532x-2034y1155z',
                77:'-544x-886y2162z',
                78:'-578x-838y2172z',
                79:'-58x-86y2397z',
                80:'-593x-2216y702z',
                81:'-5x-367y2371z',
                82:'-607x-790y2183z',
                83:'-60x-265y2384z',
                84:'-634x-1993y1176z',
                85:'-634x-740y2192z',
                86:'-657x-690y2202z',
                87:'-65x-110y2396z',
                88:'-671x-123y2300z',
                89:'-676x-640y2211z',
                90:'-67x-238y2387z',
                91:'-686x-163y2293z',
                92:'-691x-589y2221z',
                93:'-698x-206y2286z',
                94:'-6x-5y2399z',
                95:'-704x-538y2230z',
                96:'-706x-2175y725z',
                97:'-708x-249y2279z',
                98:'-712x-488y2238z',
                99:'-715x-295y2271z',
                100:'-718x-439y2247z',
                101:'-719x-342y2263z',
                102:'-71x-134y2395z',
                103:'-720x-390y2255z',
                104:'-72x-212y2389z',
                105:'-734x-1946y1197z',
                106:'-74x-160y2393z',
                107:'-74x-185y2391z',
                108:'-817x-2128y748z',
                109:'-830x-1893y1218z',
                110:'-917x-773y2078z',
                111:'-922x-1836y1238z',
                112:'-924x-2076y771z',
                113:'-927x-869y2152z',
                114:'-939x-711y2090z',
                115:'-958x-650y2102z',
                116:'-973x-588y2113z',
                117:'-983x-526y2124z',
                118:'-98x-1226y2060z',
                119:'-990x-465y2135z',
                120:'-993x-404y2146z',
                121:'-99x-2145y1070z',
                122:'0x-2327y587z'}
       

shot2seven25004xi = {
                1:'-1013x-612y2201z',
                2:'-1024x-548y2213z',
                3:'-102x-1277y2146z',
                4:'-1032x-484y2224z',
                5:'-1035x-421y2236z',
                6:'-104x-2235y1115z',
                7:'-1053x-1849y1311z',
                8:'-1071x-2102y827z',
                9:'-1141x-1780y1332z',
                10:'-1175x-2035y850z',
                11:'-1225x-1707y1354z',
                12:'-126x-2414y635z',
                13:'-1275x-1964y874z',
                14:'-1277x-2148y5z',
                15:'-1304x-1630y1374z',
                16:'-1371x-1887y897z',
                17:'-1378x-1549y1395z',
                18:'-1388x-2078y30z',
                19:'-1448x-1465y1416z',
                20:'-1462x-1806y920z',
                21:'-1495x-2002y55z',
                22:'-1512x-1377y1436z',
                23:'-1548x-1720y943z',
                24:'-1571x-1287y1457z',
                25:'-1597x-1921y80z',
                26:'-1624x-1194y1477z',
                27:'-1630x-1630y967z',
                28:'-166x-1249y2158z',
                29:'-1672x-1100y1497z',
                30:'-1695x-1834y105z',
                31:'-1705x-1536y990z',
                32:'-1714x-1003y1517z',
                33:'-1751x-905y1537z',
                34:'-1776x-1438y1012z',
                35:'-1782x-805y1557z',
                36:'-1788x-1742y130z',
                37:'-1807x-705y1576z',
                38:'-1826x-605y1595z',
                39:'-1840x-1337y1035z',
                40:'-1840x-504y1615z',
                41:'-1848x-404y1634z',
                42:'-1875x-1645y155z',
                43:'-1899x-1233y1058z',
                44:'-1952x-1127y1081z',
                45:'-1957x-1543y180z',
                46:'-1998x-1018y1103z',
                47:'-2034x-1438y205z',
                48:'-2039x-907y1125z',
                49:'-2073x-795y1148z',
                50:'-2100x-682y1170z',
                51:'-2105x-1328y230z',
                52:'-2122x-568y1192z',
                53:'-2137x-454y1214z',
                54:'-2146x-339y1236z',
                55:'-2148x-225y1257z',
                56:'-2169x-1215y255z',
                57:'-219x-2215y1137z',
                58:'-2227x-1099y280z',
                59:'-2279x-979y305z',
                60:'-227x-1217y2171z',
                61:'-2324x-858y329z',
                62:'-2363x-734y354z',
                63:'-2394x-608y379z',
                64:'-23x-24y2499z',
                65:'-24x-356y2474z',
                66:'-252x-2398y660z',
                67:'-285x-1183y2183z',
                68:'-333x-2189y1159z',
                69:'-340x-1145y2195z',
                70:'-35x-1302y2133z',
                71:'-376x-2374y684z',
                72:'-37x-45y2499z',
                73:'-392x-1105y2207z',
                74:'-39x-330y2477z',
                75:'-441x-1062y2219z',
                76:'-445x-2157y1181z',
                77:'-487x-1018y2230z',
                78:'-498x-2345y708z',
                79:'-50x-67y2498z',
                80:'-529x-971y2241z',
                81:'-52x-303y2480z',
                82:'-554x-2119y1203z',
                83:'-567x-923y2252z',
                84:'-5x-382y2470z',
                85:'-602x-873y2263z',
                86:'-60x-90y2497z',
                87:'-618x-2308y732z',
                88:'-633x-823y2274z',
                89:'-63x-276y2483z',
                90:'-660x-771y2284z',
                91:'-661x-2076y1225z',
                92:'-684x-719y2294z',
                93:'-68x-114y2496z',
                94:'-699x-128y2396z',
                95:'-6x-6y2499z',
                96:'-704x-666y2304z',
                97:'-70x-248y2486z',
                98:'-714x-170y2389z',
                99:'-720x-614y2313z',
                100:'-727x-214y2382z',
                101:'-733x-561y2323z',
                102:'-736x-2266y755z',
                103:'-738x-260y2374z',
                104:'-742x-509y2332z',
                105:'-745x-307y2366z',
                106:'-748x-457y2341z',
                107:'-749x-356y2358z',
                108:'-74x-140y2494z',
                109:'-750x-406y2349z',
                110:'-75x-221y2489z',
                111:'-764x-2027y1247z',
                112:'-77x-166y2493z',
                113:'-77x-193y2491z',
                114:'-851x-2217y779z',
                115:'-864x-1972y1268z',
                116:'-955x-805y2165z',
                117:'-960x-1913y1290z',
                118:'-962x-2162y803z',
                119:'-964x-904y2238z',
                120:'-979x-741y2177z',
                121:'-998x-677y2189z',
                122:'0x-2424y611z'}


shot2seven26004xi = {
                1:'-1001x-2249y835z',
                2:'-1001x-939y2324z',
                3:'-1018x-771y2264z',
                4:'-1038x-704y2277z',
                5:'-1054x-637y2289z',
                6:'-1065x-570y2301z',
                7:'-106x-1329y2232z',
                8:'-1073x-503y2313z',
                9:'-1076x-438y2325z',
                10:'-108x-2324y1159z',
                11:'-1095x-1923y1364z',
                12:'-1113x-2186y860z',
                13:'-1187x-1851y1386z',
                14:'-1222x-2117y884z',
                15:'-1274x-1775y1408z',
                16:'-131x-2511y661z',
                17:'-1326x-2042y909z',
                18:'-1329x-2234y6z',
                19:'-1356x-1695y1429z',
                20:'-1426x-1963y933z',
                21:'-1433x-1611y1451z',
                22:'-1444x-2161y32z',
                23:'-1506x-1523y1473z',
                24:'-1521x-1878y957z',
                25:'-1554x-2082y58z',
                26:'-1572x-1432y1494z',
                27:'-1610x-1789y981z',
                28:'-1633x-1339y1515z',
                29:'-1661x-1998y84z',
                30:'-1689x-1242y1536z',
                31:'-1695x-1695y1005z',
                32:'-172x-1299y2245z',
                33:'-1739x-1144y1557z',
                34:'-1763x-1907y110z',
                35:'-1774x-1597y1029z',
                36:'-1783x-1043y1578z',
                37:'-1821x-941y1598z',
                38:'-1847x-1495y1053z',
                39:'-1853x-838y1619z',
                40:'-1859x-1812y136z',
                41:'-1879x-734y1639z',
                42:'-1899x-629y1659z',
                43:'-1913x-524y1679z',
                44:'-1914x-1390y1077z',
                45:'-1922x-420y1699z',
                46:'-1950x-1711y161z',
                47:'-1975x-1282y1100z',
                48:'-2030x-1172y1124z',
                49:'-2036x-1605y187z',
                50:'-2078x-1059y1147z',
                51:'-2115x-1495y213z',
                52:'-2120x-944y1171z',
                53:'-2156x-827y1194z',
                54:'-2185x-709y1217z',
                55:'-2189x-1381y239z',
                56:'-2207x-591y1240z',
                57:'-2223x-472y1262z',
                58:'-2232x-353y1285z',
                59:'-2234x-234y1308z',
                60:'-2256x-1264y265z',
                61:'-228x-2303y1182z',
                62:'-2317x-1143y291z',
                63:'-236x-1266y2258z',
                64:'-2370x-1019y317z',
                65:'-23x-25y2599z',
                66:'-2417x-892y343z',
                67:'-2457x-763y368z',
                68:'-2490x-632y394z',
                69:'-25x-371y2573z',
                70:'-262x-2494y686z',
                71:'-296x-1230y2271z',
                72:'-347x-2277y1206z',
                73:'-354x-1191y2283z',
                74:'-37x-1355y2218z',
                75:'-391x-2469y711z',
                76:'-39x-47y2599z',
                77:'-408x-1149y2295z',
                78:'-41x-343y2576z',
                79:'-459x-1105y2308z',
                80:'-463x-2243y1229z',
                81:'-506x-1058y2319z',
                82:'-518x-2439y736z',
                83:'-52x-69y2598z',
                84:'-54x-315y2580z',
                85:'-550x-1010y2331z',
                86:'-576x-2204y1251z',
                87:'-590x-960y2342z',
                88:'-5x-397y2569z',
                89:'-626x-908y2354z',
                90:'-63x-94y2597z',
                91:'-643x-2401y761z',
                92:'-658x-856y2364z',
                93:'-65x-287y2583z',
                94:'-687x-2159y1274z',
                95:'-687x-802y2375z',
                96:'-6x-6y2599z',
                97:'-711x-748y2386z',
                98:'-71x-119y2596z',
                99:'-727x-133y2492z',
                100:'-732x-693y2396z',
                101:'-73x-258y2586z',
                102:'-743x-177y2485z',
                103:'-749x-638y2406z',
                104:'-757x-223y2477z',
                105:'-762x-583y2416z',
                106:'-765x-2356y786z',
                107:'-767x-270y2469z',
                108:'-772x-529y2425z',
                109:'-775x-320y2461z',
                110:'-778x-475y2434z',
                111:'-779x-370y2452z',
                112:'-77x-146y2594z',
                113:'-780x-422y2443z',
                114:'-78x-229y2588z',
                115:'-795x-2108y1297z',
                116:'-80x-173y2592z',
                117:'-80x-201y2590z',
                118:'-885x-2306y810z',
                119:'-899x-2051y1319z',
                120:'-993x-838y2251z',
                121:'-999x-1990y1341z',
                122:'0x-2520y636z'}

shot2seven27004xi = {
                1:'-1031x-870y2338z',
                2:'-1037x-2066y1393z',
                3:'-1039x-2335y867z',
                4:'-1039x-973y2410z',
                5:'-1057x-800y2351z',
                6:'-1078x-731y2364z',
                7:'-1094x-661y2377z',
                8:'-1106x-592y2390z',
                9:'-110x-1380y2317z',
                10:'-1114x-523y2402z',
                11:'-1118x-455y2415z',
                12:'-112x-2413y1204z',
                13:'-1137x-1997y1416z',
                14:'-1156x-2270y893z',
                15:'-1232x-1922y1439z',
                16:'-1269x-2198y918z',
                17:'-1323x-1843y1462z',
                18:'-136x-2607y686z',
                19:'-1377x-2121y944z',
                20:'-1380x-2320y6z',
                21:'-1408x-1760y1484z',
                22:'-1481x-2038y969z',
                23:'-1489x-1673y1507z',
                24:'-1499x-2245y33z',
                25:'-1563x-1582y1529z',
                26:'-1579x-1950y994z',
                27:'-1614x-2163y60z',
                28:'-1633x-1487y1551z',
                29:'-1672x-1857y1019z',
                30:'-1696x-1390y1573z',
                31:'-1725x-2075y87z',
                32:'-1754x-1290y1595z',
                33:'-1760x-1760y1044z',
                34:'-179x-1349y2331z',
                35:'-1806x-1188y1617z',
                36:'-1830x-1981y114z',
                37:'-1842x-1658y1069z',
                38:'-1851x-1083y1639z',
                39:'-1891x-977y1660z',
                40:'-1918x-1553y1094z',
                41:'-1924x-870y1681z',
                42:'-1931x-1881y141z',
                43:'-1951x-762y1702z',
                44:'-1972x-653y1723z',
                45:'-1987x-545y1744z',
                46:'-1988x-1444y1118z',
                47:'-1996x-436y1764z',
                48:'-2025x-1777y168z',
                49:'-2051x-1332y1143z',
                50:'-2108x-1217y1167z',
                51:'-2114x-1667y195z',
                52:'-2158x-1099y1191z',
                53:'-2197x-1553y222z',
                54:'-2202x-980y1216z',
                55:'-2239x-859y1240z',
                56:'-2269x-737y1264z',
                57:'-2273x-1434y248z',
                58:'-2292x-614y1287z',
                59:'-2308x-490y1311z',
                60:'-2317x-367y1335z',
                61:'-2320x-243y1358z',
                62:'-2343x-1312y275z',
                63:'-237x-2392y1228z',
                64:'-2406x-1186y302z',
                65:'-245x-1315y2345z',
                66:'-2462x-1058y329z',
                67:'-24x-26y2699z',
                68:'-2510x-926y356z',
                69:'-2552x-792y383z',
                70:'-2586x-657y409z',
                71:'-25x-385y2672z',
                72:'-272x-2589y712z',
                73:'-308x-1277y2358z',
                74:'-360x-2364y1252z',
                75:'-368x-1237y2371z',
                76:'-38x-1407y2304z',
                77:'-406x-2564y738z',
                78:'-40x-48y2699z',
                79:'-424x-1193y2384z',
                80:'-42x-356y2675z',
                81:'-477x-1147y2396z',
                82:'-481x-2330y1276z',
                83:'-526x-1099y2409z',
                84:'-538x-2532y764z',
                85:'-54x-72y2698z',
                86:'-56x-327y2679z',
                87:'-571x-1049y2421z',
                88:'-599x-2289y1300z',
                89:'-612x-997y2433z',
                90:'-650x-943y2444z',
                91:'-65x-97y2697z',
                92:'-668x-2493y790z',
                93:'-683x-889y2455z',
                94:'-68x-298y2682z',
                95:'-6x-412y2668z',
                96:'-6x-6y2699z',
                97:'-713x-833y2467z',
                98:'-714x-2242y1323z',
                99:'-739x-776y2477z',
                100:'-74x-124y2696z',
                101:'-755x-139y2588z',
                102:'-760x-720y2488z',
                103:'-76x-268y2685z',
                104:'-772x-184y2580z',
                105:'-778x-663y2498z',
                106:'-786x-231y2572z',
                107:'-792x-606y2508z',
                108:'-795x-2447y816z',
                109:'-797x-281y2564z',
                110:'-802x-549y2518z',
                111:'-805x-332y2555z',
                112:'-808x-493y2528z',
                113:'-809x-384y2546z',
                114:'-80x-151y2694z',
                115:'-810x-438y2537z',
                116:'-81x-238y2688z',
                117:'-825x-2189y1347z',
                118:'-83x-180y2692z',
                119:'-83x-209y2690z',
                120:'-919x-2394y842z',
                121:'-933x-2130y1370z',
                122:'0x-2617y660z'}

shot2seven28004xi = {
                1:'-1070x-902y2424z',
                2:'-1076x-1008y2496z',
                3:'-1076x-2143y1445z',
                4:'-1078x-2422y899z',
                5:'-1096x-830y2438z',
                6:'-1118x-758y2452z',
                7:'-1135x-686y2465z',
                8:'-1147x-614y2478z',
                9:'-114x-1431y2403z',
                10:'-1155x-542y2491z',
                11:'-1159x-471y2504z',
                12:'-116x-2503y1248z',
                13:'-1179x-2071y1469z',
                14:'-1199x-2354y926z',
                15:'-1278x-1994y1492z',
                16:'-1316x-2280y952z',
                17:'-1372x-1912y1516z',
                18:'-141x-2704y712z',
                19:'-1428x-2200y979z',
                20:'-1431x-2406y6z',
                21:'-1461x-1825y1539z',
                22:'-1536x-2114y1005z',
                23:'-1544x-1735y1563z',
                24:'-1555x-2328y34z',
                25:'-1621x-1640y1586z',
                26:'-1638x-2023y1031z',
                27:'-1674x-2243y62z',
                28:'-1693x-1543y1609z',
                29:'-1734x-1926y1057z',
                30:'-1759x-1442y1632z',
                31:'-1789x-2151y90z',
                32:'-1819x-1338y1654z',
                33:'-1825x-1825y1083z',
                34:'-185x-1399y2418z',
                35:'-1873x-1232y1677z',
                36:'-1898x-2054y118z',
                37:'-1910x-1720y1108z',
                38:'-1920x-1123y1699z',
                39:'-1961x-1013y1721z',
                40:'-1989x-1610y1134z',
                41:'-1995x-902y1743z',
                42:'-2002x-1951y146z',
                43:'-2024x-790y1765z',
                44:'-2045x-677y1787z',
                45:'-2061x-1497y1160z',
                46:'-2061x-565y1808z',
                47:'-2070x-452y1830z',
                48:'-2100x-1842y174z',
                49:'-2127x-1381y1185z',
                50:'-2186x-1262y1210z',
                51:'-2192x-1729y202z',
                52:'-2238x-1140y1236z',
                53:'-2278x-1610y230z',
                54:'-2283x-1016y1261z',
                55:'-2322x-891y1286z',
                56:'-2353x-764y1310z',
                57:'-2357x-1488y258z',
                58:'-2377x-636y1335z',
                59:'-2394x-508y1360z',
                60:'-2403x-380y1384z',
                61:'-2406x-252y1408z',
                62:'-2430x-1361y286z',
                63:'-246x-2481y1273z',
                64:'-2495x-1230y313z',
                65:'-254x-1363y2432z',
                66:'-2553x-1097y341z',
                67:'-25x-27y2799z',
                68:'-2603x-961y369z',
                69:'-2646x-822y397z',
                70:'-2682x-681y424z',
                71:'-26x-399y2771z',
                72:'-282x-2685y739z',
                73:'-319x-1325y2445z',
                74:'-373x-2452y1298z',
                75:'-381x-1282y2459z',
                76:'-39x-1459y2389z',
                77:'-421x-2659y766z',
                78:'-42x-50y2799z',
                79:'-440x-1238y2472z',
                80:'-44x-370y2775z',
                81:'-494x-1190y2485z',
                82:'-498x-2416y1323z',
                83:'-545x-1140y2498z',
                84:'-558x-2626y793z',
                85:'-56x-75y2798z',
                86:'-592x-1088y2510z',
                87:'-59x-340y2778z',
                88:'-621x-2374y1348z',
                89:'-635x-1034y2523z',
                90:'-674x-978y2535z',
                91:'-67x-101y2797z',
                92:'-692x-2586y819z',
                93:'-6x-428y2767z',
                94:'-709x-922y2546z',
                95:'-70x-309y2781z',
                96:'-739x-864y2558z',
                97:'-740x-2325y1372z',
                98:'-766x-805y2569z',
                99:'-76x-128y2795z',
                100:'-783x-144y2684z',
                101:'-788x-746y2580z',
                102:'-79x-278y2784z',
                103:'-7x-6y2799z',
                104:'-800x-191y2676z',
                105:'-807x-687y2591z',
                106:'-815x-240y2667z',
                107:'-821x-628y2601z',
                108:'-824x-2538y846z',
                109:'-826x-291y2659z',
                110:'-831x-570y2612z',
                111:'-834x-344y2650z',
                112:'-838x-512y2622z',
                113:'-839x-399y2641z',
                114:'-83x-157y2794z',
                115:'-840x-455y2631z',
                116:'-84x-247y2787z',
                117:'-856x-2270y1396z',
                118:'-86x-186y2792z',
                119:'-87x-216y2790z',
                120:'-953x-2483y873z',
                121:'-968x-2209y1421z',
                122:'0x-2714y685z'}

shot2seven29004xi = {
                1:'-1002x-2288y1471z',
                2:'-1108x-934y2511z',
                3:'-1113x-1043y2582z',
                4:'-1114x-2219y1496z',
                5:'-1116x-2508y932z',
                6:'-1135x-860y2525z',
                7:'-1158x-785y2540z',
                8:'-1175x-710y2553z',
                9:'-1188x-636y2567z',
                10:'-118x-1482y2489z',
                11:'-1197x-562y2580z',
                12:'-1201x-488y2593z',
                13:'-120x-2592y1293z',
                14:'-1221x-2145y1521z',
                15:'-1242x-2438y959z',
                16:'-1324x-2065y1546z',
                17:'-1363x-2361y986z',
                18:'-1421x-1980y1570z',
                19:'-146x-2800y737z',
                20:'-1479x-2278y1013z',
                21:'-1482x-2492y6z',
                22:'-1513x-1891y1594z',
                23:'-1590x-2189y1041z',
                24:'-1599x-1797y1619z',
                25:'-1610x-2411y35z',
                26:'-1679x-1699y1643z',
                27:'-1696x-2095y1068z',
                28:'-1734x-2323y64z',
                29:'-1754x-1598y1666z',
                30:'-1796x-1995y1095z',
                31:'-1822x-1493y1690z',
                32:'-1853x-2228y93z',
                33:'-1884x-1386y1714z',
                34:'-1890x-1890y1121z',
                35:'-192x-1449y2504z',
                36:'-1939x-1276y1737z',
                37:'-1966x-2127y122z',
                38:'-1978x-1781y1148z',
                39:'-1989x-1163y1760z',
                40:'-2031x-1050y1783z',
                41:'-2060x-1668y1175z',
                42:'-2067x-934y1806z',
                43:'-2074x-2021y151z',
                44:'-2096x-818y1828z',
                45:'-2118x-702y1851z',
                46:'-2134x-585y1873z',
                47:'-2135x-1551y1201z',
                48:'-2144x-468y1895z',
                49:'-2175x-1908y180z',
                50:'-2203x-1430y1227z',
                51:'-2264x-1307y1254z',
                52:'-2271x-1791y209z',
                53:'-2318x-1181y1280z',
                54:'-2359x-1668y238z',
                55:'-2365x-1053y1306z',
                56:'-2404x-923y1331z',
                57:'-2437x-791y1357z',
                58:'-2441x-1541y267z',
                59:'-2462x-659y1383z',
                60:'-2479x-527y1408z',
                61:'-2489x-394y1433z',
                62:'-2492x-261y1459z',
                63:'-2516x-1409y296z',
                64:'-254x-2569y1319z',
                65:'-2584x-1274y325z',
                66:'-263x-1412y2518z',
                67:'-2644x-1136y353z',
                68:'-2696x-995y382z',
                69:'-26x-28y2899z',
                70:'-2741x-851y411z',
                71:'-2778x-705y440z',
                72:'-27x-413y2870z',
                73:'-292x-2781y765z',
                74:'-331x-1372y2533z',
                75:'-387x-2539y1345z',
                76:'-395x-1328y2547z',
                77:'-41x-1511y2474z',
                78:'-436x-2754y793z',
                79:'-43x-52y2899z',
                80:'-455x-1282y2560z',
                81:'-46x-383y2874z',
                82:'-512x-1232y2574z',
                83:'-516x-2502y1370z',
                84:'-565x-1181y2587z',
                85:'-578x-2720y821z',
                86:'-58x-77y2898z',
                87:'-613x-1127y2600z',
                88:'-61x-352y2877z',
                89:'-643x-2458y1396z',
                90:'-658x-1071y2613z',
                91:'-698x-1013y2625z',
                92:'-6x-443y2865z',
                93:'-70x-104y2897z',
                94:'-717x-2678y849z',
                95:'-734x-954y2637z',
                96:'-73x-320y2881z',
                97:'-766x-895y2649z',
                98:'-767x-2408y1421z',
                99:'-793x-834y2661z',
                100:'-79x-133y2895z',
                101:'-7x-7y2899z',
                102:'-811x-149y2780z',
                103:'-817x-773y2672z',
                104:'-81x-288y2884z',
                105:'-829x-198y2771z',
                106:'-836x-712y2683z',
                107:'-844x-249y2763z',
                108:'-850x-651y2694z',
                109:'-854x-2628y876z',
                110:'-856x-302y2754z',
                111:'-861x-590y2705z',
                112:'-864x-356y2744z',
                113:'-868x-530y2715z',
                114:'-869x-413y2735z',
                115:'-86x-162y2894z',
                116:'-870x-471y2725z',
                117:'-87x-256y2887z',
                118:'-886x-2351y1446z',
                119:'-89x-193y2892z',
                120:'-90x-224y2889z',
                121:'-987x-2572y904z',
                122:'0x-2811y709z'}

shot2seven30004xi = {
                1:'-1021x-2661y935z',
                2:'-1037x-2367y1522z',
                3:'-1146x-967y2598z',
                4:'-1150x-1078y2669z',
                5:'-1153x-2296y1548z',
                6:'-1155x-2595y964z',
                7:'-1174x-889y2612z',
                8:'-1198x-812y2627z',
                9:'-1216x-735y2641z',
                10:'-1229x-657y2656z',
                11:'-122x-1533y2575z',
                12:'-1238x-581y2669z',
                13:'-1242x-505y2683z',
                14:'-124x-2682y1338z',
                15:'-1263x-2219y1574z',
                16:'-1285x-2522y992z',
                17:'-1369x-2136y1599z',
                18:'-1410x-2443y1020z',
                19:'-1470x-2048y1624z',
                20:'-151x-2897y763z',
                21:'-1530x-2357y1048z',
                22:'-1533x-2578y7z',
                23:'-1565x-1956y1649z',
                24:'-1645x-2265y1077z',
                25:'-1654x-1859y1674z',
                26:'-1666x-2494y37z',
                27:'-1737x-1758y1699z',
                28:'-1755x-2167y1104z',
                29:'-1794x-2403y67z',
                30:'-1814x-1653y1724z',
                31:'-1858x-2064y1132z',
                32:'-1885x-1545y1748z',
                33:'-1916x-2305y97z',
                34:'-1949x-1433y1773z',
                35:'-1956x-1956y1160z',
                36:'-199x-1499y2590z',
                37:'-2006x-1320y1797z',
                38:'-2034x-2201y127z',
                39:'-2047x-1843y1188z',
                40:'-2057x-1204y1821z',
                41:'-2101x-1086y1844z',
                42:'-2131x-1726y1215z',
                43:'-2138x-967y1868z',
                44:'-2145x-2090y156z',
                45:'-2168x-847y1891z',
                46:'-2192x-726y1915z',
                47:'-2208x-1604y1242z',
                48:'-2208x-605y1938z',
                49:'-2218x-485y1960z',
                50:'-2250x-1974y186z',
                51:'-2279x-1480y1270z',
                52:'-2342x-1352y1297z',
                53:'-2349x-1852y216z',
                54:'-2398x-1222y1324z',
                55:'-2441x-1725y246z',
                56:'-2446x-1089y1351z',
                57:'-2487x-954y1377z',
                58:'-2521x-819y1404z',
                59:'-2526x-1594y276z',
                60:'-2546x-682y1430z',
                61:'-2565x-545y1457z',
                62:'-2575x-407y1483z',
                63:'-2578x-271y1509z',
                64:'-2603x-1458y306z',
                65:'-263x-2658y1364z',
                66:'-2673x-1318y336z',
                67:'-272x-1461y2605z',
                68:'-2735x-1175y366z',
                69:'-2789x-1029y395z',
                70:'-27x-29y2999z',
                71:'-2835x-881y425z',
                72:'-2873x-730y455z',
                73:'-28x-428y2969z',
                74:'-302x-2877y792z',
                75:'-342x-1419y2620z',
                76:'-400x-2627y1391z',
                77:'-408x-1374y2634z',
                78:'-42x-1563y2560z',
                79:'-451x-2849y820z',
                80:'-45x-54y2999z',
                81:'-471x-1326y2649z',
                82:'-47x-396y2973z',
                83:'-530x-1275y2663z',
                84:'-534x-2589y1418z',
                85:'-584x-1221y2676z',
                86:'-598x-2814y849z',
                87:'-60x-80y2998z',
                88:'-634x-1166y2690z',
                89:'-63x-364y2977z',
                90:'-665x-2543y1444z',
                91:'-680x-1108y2703z',
                92:'-6x-458y2964z',
                93:'-722x-1048y2716z',
                94:'-72x-108y2997z',
                95:'-742x-2770y878z',
                96:'-759x-987y2728z',
                97:'-75x-331y2980z',
                98:'-792x-925y2741z',
                99:'-793x-2491y1470z',
                100:'-7x-7y2999z',
                101:'-821x-863y2753z',
                102:'-82x-137y2995z',
                103:'-839x-154y2876z',
                104:'-845x-800y2764z',
                105:'-84x-298y2983z',
                106:'-857x-204y2867z',
                107:'-864x-736y2776z',
                108:'-873x-257y2858z',
                109:'-880x-673y2787z',
                110:'-883x-2719y907z',
                111:'-885x-312y2849z',
                112:'-891x-610y2798z',
                113:'-894x-369y2839z',
                114:'-898x-548y2809z',
                115:'-899x-427y2829z',
                116:'-89x-168y2993z',
                117:'-900x-487y2819z',
                118:'-90x-265y2986z',
                119:'-917x-2432y1496z',
                120:'-92x-200y2991z',
                121:'-93x-232y2989z',
                122:'0x-2908y734z'}         


shot2seven31004xi = {
                1:'-1055x-2749y966z',
                2:'-1072x-2446y1573z',
                3:'-1184x-999y2684z',
                4:'-1187x-1113y2755z',
                5:'-1191x-2372y1600z',
                6:'-1193x-2681y996z',
                7:'-1213x-919y2700z',
                8:'-1238x-839y2715z',
                9:'-1256x-759y2730z',
                10:'-126x-1584y2661z',
                11:'-1270x-679y2744z',
                12:'-1279x-600y2758z',
                13:'-1283x-522y2772z',
                14:'-129x-2771y1382z',
                15:'-1306x-2293y1626z',
                16:'-1328x-2606y1025z',
                17:'-1415x-2207y1652z',
                18:'-1457x-2524y1054z',
                19:'-1519x-2117y1678z',
                20:'-156x-2993y788z',
                21:'-1581x-2435y1083z',
                22:'-1584x-2664y7z',
                23:'-1617x-2021y1704z',
                24:'-1700x-2340y1112z',
                25:'-1709x-1921y1730z',
                26:'-1721x-2577y38z',
                27:'-1795x-1816y1756z',
                28:'-1813x-2239y1141z',
                29:'-1853x-2483y69z',
                30:'-1875x-1708y1781z',
                31:'-1920x-2133y1170z',
                32:'-1948x-1596y1807z',
                33:'-1980x-2382y100z',
                34:'-2014x-1481y1832z',
                35:'-2021x-2021y1199z',
                36:'-205x-1549y2677z',
                37:'-2073x-1364y1857z',
                38:'-2102x-2274y131z',
                39:'-2115x-1904y1227z',
                40:'-2126x-1244y1881z',
                41:'-2171x-1122y1906z',
                42:'-2202x-1783y1256z',
                43:'-2209x-999y1930z',
                44:'-2217x-2160y162z',
                45:'-2241x-875y1954z',
                46:'-2265x-750y1978z',
                47:'-2282x-1658y1284z',
                48:'-2282x-625y2002z',
                49:'-2292x-501y2026z',
                50:'-2325x-2040y193z',
                51:'-2355x-1529y1312z',
                52:'-2420x-1397y1340z',
                53:'-2427x-1914y224z',
                54:'-2478x-1262y1368z',
                55:'-2522x-1783y254z',
                56:'-2528x-1125y1396z',
                57:'-2570x-986y1423z',
                58:'-2605x-846y1451z',
                59:'-2610x-1647y285z',
                60:'-2631x-705y1478z',
                61:'-2650x-563y1505z',
                62:'-2661x-421y1532z',
                63:'-2664x-280y1559z',
                64:'-2690x-1507y316z',
                65:'-272x-2747y1410z',
                66:'-2762x-1362y347z',
                67:'-281x-1510y2692z',
                68:'-2826x-1214y378z',
                69:'-2882x-1063y409z',
                70:'-28x-30y3099z',
                71:'-2930x-910y439z',
                72:'-2969x-754y470z',
                73:'-29x-442y3068z',
                74:'-312x-2973y818z',
                75:'-354x-1467y2707z',
                76:'-413x-2714y1437z',
                77:'-422x-1420y2722z',
                78:'-44x-1615y2645z',
                79:'-466x-2944y848z',
                80:'-46x-56y3099z',
                81:'-487x-1370y2737z',
                82:'-49x-409y3072z',
                83:'-547x-1317y2751z',
                84:'-552x-2675y1465z',
                85:'-604x-1262y2766z',
                86:'-618x-2908y878z',
                87:'-62x-83y3098z',
                88:'-656x-1204y2779z',
                89:'-65x-376y3076z',
                90:'-687x-2628y1492z',
                91:'-703x-1145y2793z',
                92:'-746x-1083y2806z',
                93:'-75x-112y3097z',
                94:'-767x-2863y907z',
                95:'-785x-1020y2819z',
                96:'-78x-342y3080z',
                97:'-7x-474y3063z',
                98:'-7x-7y3099z',
                99:'-819x-2574y1519z',
                100:'-819x-956y2832z',
                101:'-848x-892y2844z',
                102:'-85x-142y3095z',
                103:'-867x-159y2971z',
                104:'-873x-826y2857z',
                105:'-87x-308y3083z',
                106:'-886x-211y2962z',
                107:'-893x-761y2869z',
                108:'-902x-266y2953z',
                109:'-909x-696y2880z',
                110:'-913x-2810y937z',
                111:'-915x-322y2944z',
                112:'-920x-631y2891z',
                113:'-924x-381y2934z',
                114:'-927x-567y2902z',
                115:'-929x-441y2924z',
                116:'-92x-174y3093z',
                117:'-930x-503y2913z',
                118:'-93x-274y3086z',
                119:'-948x-2513y1546z',
                120:'-95x-206y3091z',
                121:'-96x-240y3089z',
                122:'0x-3005y758z'}

shot2seven32004xi = { 
                1:'-1089x-2838y998z',
                2:'-1106x-2525y1624z',
                3:'-1222x-1031y2771z',
                4:'-1224x-1147y2841z',
                5:'-1230x-2449y1651z',
                6:'-1232x-2768y1028z',
                7:'-1253x-949y2787z',
                8:'-1277x-866y2802z',
                9:'-1297x-784y2818z',
                10:'-130x-1635y2747z',
                11:'-1311x-701y2833z',
                12:'-1321x-620y2847z',
                13:'-1325x-539y2862z',
                14:'-133x-2860y1427z',
                15:'-1348x-2367y1678z',
                16:'-1370x-2690y1058z',
                17:'-1461x-2279y1706z',
                18:'-1504x-2605y1088z',
                19:'-1568x-2185y1733z',
                20:'-161x-3090y813z',
                21:'-1632x-2514y1118z',
                22:'-1635x-2750y7z',
                23:'-1669x-2086y1759z',
                24:'-1755x-2416y1148z',
                25:'-1764x-1983y1786z',
                26:'-1777x-2660y39z',
                27:'-1853x-1875y1813z',
                28:'-1872x-2312y1178z',
                29:'-1913x-2563y71z',
                30:'-1935x-1763y1839z',
                31:'-1982x-2202y1208z',
                32:'-2011x-1648y1865z',
                33:'-2044x-2459y103z',
                34:'-2079x-1529y1891z',
                35:'-2086x-2086y1237z',
                36:'-212x-1599y2763z',
                37:'-2140x-1408y1917z',
                38:'-2169x-2348y135z',
                39:'-2183x-1966y1267z',
                40:'-2194x-1284y1942z',
                41:'-2241x-1158y1967z',
                42:'-2273x-1841y1296z',
                43:'-2281x-1031y1993z',
                44:'-2288x-2230y167z',
                45:'-2313x-903y2017z',
                46:'-2338x-774y2042z',
                47:'-2355x-645y2067z',
                48:'-2356x-1711y1325z',
                49:'-2365x-517y2091z',
                50:'-2400x-2106y199z',
                51:'-2431x-1578y1354z',
                52:'-2498x-1442y1383z',
                53:'-2506x-1976y231z',
                54:'-2558x-1303y1412z',
                55:'-2604x-1840y263z',
                56:'-2610x-1162y1441z',
                57:'-2653x-1018y1469z',
                58:'-2689x-873y1498z',
                59:'-2694x-1700y295z',
                60:'-2716x-727y1526z',
                61:'-2736x-581y1554z',
                62:'-2747x-435y1582z',
                63:'-2750x-289y1609z',
                64:'-2777x-1555y326z',
                65:'-281x-2835y1455z',
                66:'-2851x-1406y358z',
                67:'-290x-1558y2779z',
                68:'-2917x-1254y390z',
                69:'-2975x-1098y422z',
                70:'-29x-31y3199z',
                71:'-3025x-939y453z',
                72:'-3065x-779y485z',
                73:'-30x-456y3167z',
                74:'-322x-3069y844z',
                75:'-365x-1514y2795z',
                76:'-427x-2802y1484z',
                77:'-436x-1466y2810z',
                78:'-45x-1667y2730z',
                79:'-481x-3039y875z',
                80:'-48x-57y3199z',
                81:'-502x-1414y2825z',
                82:'-50x-423y3171z',
                83:'-565x-1360y2840z',
                84:'-570x-2761y1512z',
                85:'-623x-1303y2855z',
                86:'-638x-3001y906z',
                87:'-64x-85y3198z',
                88:'-677x-1243y2869z',
                89:'-67x-388y3175z',
                90:'-710x-2713y1540z',
                91:'-726x-1182y2883z',
                92:'-770x-1118y2897z',
                93:'-77x-115y3196z',
                94:'-791x-2955y937z',
                95:'-7x-489y3162z',
                96:'-80x-353y3179z',
                97:'-810x-1053y2910z',
                98:'-845x-987y2923z',
                99:'-846x-2657y1568z',
                100:'-876x-920y2936z',
                101:'-87x-147y3195z',
                102:'-895x-164y3067z',
                103:'-8x-7y3199z',
                104:'-901x-853y2949z',
                105:'-90x-318y3182z',
                106:'-915x-218y3058z',
                107:'-922x-786y2961z',
                108:'-931x-274y3048z',
                109:'-938x-718y2973z',
                110:'-942x-2900y967z',
                111:'-944x-333y3039z',
                112:'-94x-179y3193z',
                113:'-950x-651y2985z',
                114:'-954x-393y3028z',
                115:'-957x-585y2996z',
                116:'-959x-456y3018z',
                117:'-960x-520y3007z',
                118:'-96x-282y3186z',
                119:'-978x-2594y1596z',
                120:'-98x-213y3191z',
                121:'-99x-247y3188z',
                122:'0x-3102y783z'}

shot2seven33004xi = {
                1:'-1009x-2675y1646z',
                2:'-101x-220y3291z',
                3:'-102x-255y3288z',
                4:'-1123x-2927y1029z',
                5:'-1141x-2604y1674z',
                6:'-1261x-1063y2857z',
                7:'-1261x-1182y2927z',
                8:'-1268x-2525y1703z',
                9:'-1271x-2854y1060z',
                10:'-1292x-978y2874z',
                11:'-1317x-893y2890z',
                12:'-1338x-808y2906z',
                13:'-134x-1686y2833z',
                14:'-1352x-723y2921z',
                15:'-1362x-639y2936z',
                16:'-1366x-556y2951z',
                17:'-137x-2950y1471z',
                18:'-1390x-2441y1731z',
                19:'-1413x-2774y1091z',
                20:'-1506x-2350y1759z',
                21:'-1551x-2687y1122z',
                22:'-1617x-2253y1787z',
                23:'-167x-3187y839z',
                24:'-1683x-2592y1153z',
                25:'-1686x-2836y7z',
                26:'-1721x-2151y1814z',
                27:'-1810x-2491y1184z',
                28:'-1820x-2045y1842z',
                29:'-1832x-2743y40z',
                30:'-1911x-1933y1869z',
                31:'-1930x-2384y1215z',
                32:'-1973x-2643y73z',
                33:'-1996x-1818y1896z',
                34:'-2044x-2270y1246z',
                35:'-2073x-1699y1923z',
                36:'-2108x-2536y106z',
                37:'-2144x-1577y1950z',
                38:'-2151x-2151y1276z',
                39:'-219x-1649y2849z',
                40:'-2207x-1452y1976z',
                41:'-2237x-2421y139z',
                42:'-2251x-2027y1306z',
                43:'-2263x-1324y2003z',
                44:'-2311x-1194y2029z',
                45:'-2344x-1898y1337z',
                46:'-2352x-1063y2055z',
                47:'-2360x-2299y172z',
                48:'-2385x-931y2081z',
                49:'-2411x-799y2106z',
                50:'-2429x-1765y1367z',
                51:'-2429x-666y2131z',
                52:'-2439x-533y2156z',
                53:'-2475x-2171y205z',
                54:'-2507x-1628y1397z',
                55:'-2576x-1487y1427z',
                56:'-2584x-2038y238z',
                57:'-2638x-1344y1456z',
                58:'-2685x-1898y271z',
                59:'-2691x-1198y1486z',
                60:'-2736x-1050y1515z',
                61:'-2773x-901y1544z',
                62:'-2778x-1753y304z',
                63:'-2801x-750y1573z',
                64:'-2821x-599y1602z',
                65:'-2833x-448y1631z',
                66:'-2836x-298y1660z',
                67:'-2863x-1604y337z',
                68:'-290x-2924y1501z',
                69:'-2940x-1450y369z',
                70:'-299x-1607y2866z',
                71:'-3009x-1293y402z',
                72:'-3068x-1132y435z',
                73:'-30x-32y3299z',
                74:'-3119x-969y468z',
                75:'-3161x-803y500z',
                76:'-31x-471y3266z',
                77:'-332x-3165y871z',
                78:'-376x-1561y2882z',
                79:'-440x-2890y1530z',
                80:'-449x-1512y2898z',
                81:'-47x-1719y2816z',
                82:'-496x-3134y903z',
                83:'-49x-59y3299z',
                84:'-518x-1459y2914z',
                85:'-52x-436y3270z',
                86:'-583x-1402y2929z',
                87:'-587x-2847y1559z',
                88:'-643x-1344y2944z',
                89:'-658x-3095y934z',
                90:'-66x-88y3298z',
                91:'-698x-1282y2959z',
                92:'-69x-400y3274z',
                93:'-732x-2798y1588z',
                94:'-749x-1219y2973z',
                95:'-794x-1153y2987z',
                96:'-7x-504y3261z',
                97:'-80x-119y3296z',
                98:'-816x-3047y966z',
                99:'-835x-1086y3001z',
                100:'-83x-364y3278z',
                101:'-872x-1018y3015z',
                102:'-872x-2740y1617z',
                103:'-8x-8y3299z',
                104:'-903x-949y3028z',
                105:'-90x-151y3295z',
                106:'-923x-169y3163z',
                107:'-929x-880y3041z',
                108:'-93x-328y3282z',
                109:'-943x-225y3154z',
                110:'-951x-810y3054z',
                111:'-960x-283y3144z',
                112:'-968x-741y3066z',
                113:'-972x-2991y997z',
                114:'-974x-343y3134z',
                115:'-97x-185y3293z',
                116:'-980x-672y3078z',
                117:'-983x-406y3123z',
                118:'-987x-603y3090z',
                119:'-989x-470y3112z',
                120:'-990x-536y3101z',
                121:'-99x-291y3285z',
                122:'0x-3199y807z'}


#"
#"/>

ack2build = False
if ack2build is True:
    # ---------------------------------------------------------------------------------------------
    # BUILD THE COORDINATES YOU NEED!
    # ---------------------------------------------------------------------------------------------    
    kb2try = {
                10: {1:     shot2seven104xi, 2: 'nack'},
               100: {1:    shot2seven1004xi, 2: 'nack'},
               200: {1:    shot2seven2004xi, 2: 'nack'},
               300: {1:    shot2seven3004xi, 2: 'nack'},
               400: {1:    shot2seven4004xi, 2: 'nack'},
               500: {1:    shot2seven5004xi, 2: 'nack'},
               600: {1:    shot2seven6004xi, 2: 'nack'},
               700: {1:    shot2seven7004xi, 2: 'nack'},
               800: {1:    shot2seven8004xi, 2: 'nack'},
               900: {1:    shot2seven9004xi, 2: 'nack'},
              1000: {1:   shot2seven10004xi, 2: 'nack'},
              1100: {1:   shot2seven11004xi, 2: 'nack'},
              1200: {1:   shot2seven12004xi, 2: 'nack'},
              1300: {1:   shot2seven13004xi, 2: 'nack'}, 
              1400: {1:   shot2seven14004xi, 2: 'nack'},
              1500: {1:   shot2seven15004xi, 2: 'nack'},
              1600: {1:   shot2seven16004xi, 2: 'nack'},
              1700: {1:   shot2seven17004xi, 2: 'nack'},
              1800: {1:   shot2seven18004xi, 2: 'nack'},
              1900: {1:   shot2seven19004xi, 2: 'nack'},
              2000: {1:   shot2seven20004xi, 2: 'nack'},
              2100: {1:   shot2seven21004xi, 2: 'nack'},
              2200: {1:   shot2seven22004xi, 2: 'nack'},
              2300: {1:   shot2seven23004xi, 2: 'nack'}, 
              2400: {1:   shot2seven24004xi, 2: 'nack'},
              2500: {1:   shot2seven25004xi, 2: 'nack'}, 
              2600: {1:   shot2seven26004xi, 2: 'nack'},
              2700: {1:   shot2seven27004xi, 2: 'nack'}, 
              2800: {1:   shot2seven28004xi, 2: 'nack'},
              2900: {1:   shot2seven29004xi, 2: 'nack'}, 
              3000: {1:   shot2seven30004xi, 2: 'nack'},
              3100: {1:   shot2seven31004xi, 2: 'nack'},     
              3200: {1:   shot2seven32004xi, 2: 'nack'},
              3300: {1:   shot2seven33004xi, 2: 'nack'}                                                                                                                                                                                       
        }
      

    # ---------------------------------------------------------------------------------------------
    # (STEP 1/33)
    # ---------------------------------------------------------------------------------------------             
    keys2try = kb2try.keys()
    print("(STEP 1A/33) OF FIRE2SEVEN4XI - LAYERS: ", keys2try)                                                     # 
    
    for key2try in keys2try:                                                                    
        # -----------------------------------------------------------------------------------------
        # (STEP 2/33)
        # -----------------------------------------------------------------------------------------     
        print("(STEP 2A/33) OF FIRE2SEVEN4XI - LAYER: ", key2try)                                                   # 
        print("(STEP 2B/33) OF FIRE2SEVEN4XI - KB2TRY [", key2try, "]: ", kb2try [key2try])                         # 
        print("(STEP 2C/33) OF FIRE2SEVEN4XI - KB2TRY [", key2try, "] [2]: ", kb2try [key2try][2])                  # 
        if kb2try [key2try] [2] == 'nack':
            # -------------------------------------------------------------------------------------
            # (STEP 3/33) - LAYER COORDINATES REQUIRED TO BUILD!
            # ------------------------------------------------------------------------------------- 
            print("(STEP 3A/33) OF FIRE2SEVEN4XI - TRYING TO BUILD COORDINATES FOR LAYER: ", key2try)               #                                     

            input_name2xi   = 'shot2seven' + str(key2try)+ '4xi.txt'                                                # 
            input_folder2xi = '..//..//txt//'
            input_path2xi = input_folder2xi + input_name2xi 
            
            print("(STEP 3B/33) OF FIRE2SEVEN4XI - TRYING TO OPEN INPUT FILE: ", input_path2xi)                     # 
            
            input_fd2xi = open(input_path2xi)
            print("(STEP 3C/33) OF FIRE2SEVEN4XI - OPENED WITH INPUT DESCRIPTOR: ", input_fd2xi)                    # 
           
            key2coordinate = 1                                                                         
            while 1:
                
                # ---------------------------------------------------------------------------------------------------------
                # (STEP 4/33) - PROCESS THE INPUT FILE  
                # --------------------------------------------------------------------------------------------------------- 
                input_line2xi = input_fd2xi.readline()                                                  
                if not input_line2xi:
                    break                                                                                           # 
                else:
                    # ---------------------------------------------------------------------------------------------------------
                    # (STEP 5/33) - PROCESS THE INPUT LINE 
                    # ---------------------------------------------------------------------------------------------------------
                    # print("(STEP 5A/33) OF FIRE2SEVEN4XI - TRYING TO HANDLE INPUT LINE: ", input_line2xi) 
                    try:
                        i2pass = str.find(input_line2xi,'Copyright')
                        if i2pass == -1:
                            i2pass = str.find(input_line2xi,'time2shot')
                            if i2pass == -1:
                                # print("(STEP 5B/33) OF FIRE2SEVEN4XI - TRYING TO USE COORDINATES IN INPUT LINE: ", input_line2xi) 
                                try:
                                    core2search = input_line2xi                                                    # 
                                    i2x = str.find(core2search,'x')
                                    i2y = str.find(core2search,'y')
                                    i2z = str.find(core2search,'z')
                                    x2xi = int(core2search[0:i2x])
                                    y2xi = int(core2search[i2x+1:i2y])
                                    z2xi = int(core2search[i2y+1:i2z])
                                
                                    print(key2coordinate, ': ', input_line2xi)                                     # 
                                    key2coordinate = key2coordinate + 1                                            # 
                                
                                except:
                                    print("(STEP 5C/33) OF FIRE2SEVEN4XI *** FAILED TO USE COORDINATES IN INPUT LINE: ", input_line2xi)                                             
                            else:
                                pass                                                                              # 
                        else:
                            pass                                                                                  # 
                    except:
                        print("(STEP 5Z/33) OF FIRE2SEVEN4XI *** FAILED TO HANDLE INPUT LINE: ", input_line2xi) 
            # ---------------------------------------------------------------------------------------------
            # (STEP 6/33)
            # ---------------------------------------------------------------------------------------------     
            print("(STEP 6A/33) OF FIRE2SEVEN4XI - TRYING TO CLOSE INPUT_F2XI: ", input_fd2xi)    
            try:
                input_fd2xi.close()    
                print("(STEP 6B/33) OF COORDINATE_ACTORS4XI - CLOSED INPUT_F2XI: ", input_fd2xi)                    #    
            except:
                print("(STEP 6C/33) OF FIRE2SEVEN4XI *** FAILED TO CLOSE INPUT_F2XI: ", input_fd2xi)                     
                         
        else:
            # -------------------------------------------------------------------------------------
            # LAYER COORDINATES OK - BUILDING SKIPPED!
            # -------------------------------------------------------------------------------------        
            print("(STEP 7A/33) OF FIRE2SEVEN4XI - BUILDING SKIPPED FOR LAYER: ", key2try)                     
                    
ack2sense = False
if ack2sense is True:
    # ---------------------------------------------------------------------------------------------
    # SENSE IT!
    # ---------------------------------------------------------------------------------------------    
    from math import *
    kb2sense = {
        10:     shot2seven104xi,
        100:    shot2seven1004xi,
        200:    shot2seven2004xi,
        300:    shot2seven3004xi,
        400:    shot2seven4004xi,
        500:    shot2seven5004xi,
        600:    shot2seven6004xi,
        700:    shot2seven7004xi,
        800:    shot2seven8004xi,
        900:    shot2seven9004xi,
        1000:   shot2seven10004xi,
        1100:   shot2seven11004xi,
        1200:   shot2seven12004xi,
        1300:   shot2seven13004xi, 
        1400:   shot2seven14004xi,
        1500:   shot2seven15004xi,
        1600:   shot2seven16004xi,
        1700:   shot2seven17004xi,
        1800:   shot2seven18004xi,
        1900:   shot2seven19004xi,
        2000:   shot2seven20004xi,
        2100:   shot2seven21004xi,
        2200:   shot2seven22004xi,
        2300:   shot2seven23004xi, 
        2400:   shot2seven24004xi,
        2500:   shot2seven25004xi, 
        2600:   shot2seven26004xi,
        2700:   shot2seven27004xi, 
        2800:   shot2seven28004xi,
        2900:   shot2seven29004xi,
        3000:   shot2seven30004xi,
        3100:   shot2seven31004xi,     
        3200:   shot2seven32004xi,
        3300:   shot2seven33004xi                                                                                                                                                                                       
        }
      
    # ---------------------------------------------------------------------------------------------
    # 
    # ---------------------------------------------------------------------------------------------        
    keys2sense = kb2sense.keys()
    count2totalerrors = 0
    count2shots = 0
    count2layers = 0
     
    for key2sense in keys2sense:
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------     
        count2layers = count2layers + 1
        count2errors = 0
        max2dev = 0
        max2r = 0
        kb2xi = kb2sense[key2sense]
        keys2kb = kb2xi.keys()
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------        
        for key2kb in keys2kb:
            # -------------------------------------------------------------------------------------
            # 
            # -------------------------------------------------------------------------------------         
            count2shots = count2shots + 1
            name2kb = 'shot2seven' + str(key2sense) + '4xi'
            layer2xi = key2sense
            core2search = kb2xi[key2kb] 
            i2x = str.find(core2search,'x')
            i2y = str.find(core2search,'y')
            i2z = str.find(core2search,'z')
            x2xi = int(core2search[0:i2x])
            y2xi = int(core2search[i2x+1:i2y])
            z2xi = int(core2search[i2y+1:i2z])
            r2xi = (x2xi**2 + y2xi**2 + z2xi**2)**(1/2)
            if r2xi > max2r:
                max2r = r2xi    
            dev2xi = abs(layer2xi - r2xi)
            if dev2xi > max2dev:
                max2dev = dev2xi    
            if dev2xi < 100:
                ok2xi = '[OK]'
            else:
                ok2xi = '[*** ERROR: TOO LARGE DEVIATION ***OK]'
                count2errors = count2errors + 1 
                count2totalerrors = count2totalerrors + 1    
            print("DRAGON: ", key2kb, " RADIUS: ", r2xi, " EXPECTED LAYER: ", layer2xi, " DEVIATION: ", dev2xi)
            
        # -----------------------------------------------------------------------------------------
        # 
        # ----------------------------------------------------------------------------------------- 
        print('=' *80)        
        if count2errors == 0:
            print("KB ", name2kb , " [OK] - MAX DEVIATION: ", max2dev, ", MAX RADIUS: ", max2r, " IN LAYER: ", layer2xi)
        else:
            print("*** FAILED - ", count2errors, " ERRORS - MAX DEVIATION: ", max2dev, " MAX RADIUS: ", max2r, " KB: ", kb2xi)
        print('=' *80)
        
    # ---------------------------------------------------------------------------------------------
    #
    # 
    # ---------------------------------------------------------------------------------------------         
    print('=' *80)        
    if count2totalerrors == 0:
        print("ALL ", count2shots, "SHOTS OK - ", count2layers, " LAYERS CHECKED ", time4xi())
    else:
        print("*** FAILED *** ", count2totalerrors, " ERRORS IN SHOTS ", count2shots, "- SHOTS - ", count2layers, " LAYERS CHECKED ", time4xi())
    print('=' *80)

    # ================================================================================
    # ALL  4132 SHOTS OK -  34  LAYERS CHECKED  10:42:11 11/29/10 Pacific Standard Time
    # ================================================================================            

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2seven4xi" usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2seven4xi(queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2SEVEN4XI - STARTED TIME: ", time2start)
        # STARTED TIME:  06:27:40 08/30/10 Pacific Daylight Time 
        
        print("\n (STEP 1A2/33) OF FIRE2SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # QUEUE2SEVEN:  <queue4xi.Queue4Xi object at 0x029E3210>
        
        print("\n (STEP 1A3/33) OF FIRE2SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # CONSUMER_CHANNEL2SEVEN:  <read-write PipeConnection, handle 304>
              
        print("\n (STEP 1A4/33) OF FIRE2SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # PUBLISHER_CHANNEL2SEVEN:  <read-write PipeConnection, handle 308>
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN:  <queue4xi.Queue4Xi object at 0x029E3210>
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven104xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN:  <queue4xi.Queue4Xi object at 0x029E3210>  - TIME:  06:27:40 08/30/10 Pacific Daylight Time
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN:  <read-write PipeConnection, handle 308>  - TIME:  06:27:40 08/30/10 Pacific Daylight Time
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven</nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2seven</ack2put4xi>  TO PUBLISHER_CHANNEL2SEVEN:  <read-write PipeConnection, handle 308>  - TIME:  06:27:40 08/30/10 Pacific Daylight Time 
        
    except:
        print(" (STEP 3C/33) OF FIRE2SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # RETURNING QUEUE OBJECT QUEUE2SEVEN:  <queue4xi.Queue4Xi object at 0x029E3210>  - TIME:  06:27:40 08/30/10 Pacific Daylight Time
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2seven4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
